<?php
/**
* @version 			1.0.0
* @author       	http://www.seblod.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
* @package			Tasks & WebServices for SEBLOD 1.x
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.controller' );

/**
 * Component Controller
 **/
class CCKjSeblod_WebServiceController extends JController
{
	var $_viewDefault	=	'cckjseblod_webservice';
	var $_viewNames		=	'webservices';
	
	/**
	 * Constructor
	 **/
	function __construct()
	{
		parent::__construct();
	}
	
	/**
	 * Display Default View
	 **/
	function display()
	{
		global $mainframe;
		
		switch( $this->getTask() ) {
		default:
			// Set Default View
			$view = JRequest::getCmd( 'view' );
			if ( empty( $view ) ) {
				
				// To Main View (Component=>Panel)
				JRequest::setVar( 'view', $this->_viewDefault );
				// To Specific View (Component=>One)
				//JRequest::setVar( 'controller', $this->_viewNames );
				//JRequest::setVar( 'view', $this->_viewNames );
				//
				
				JRequest::setVar( 'layout', 'default' );
			}
			break;
		}
		
		parent::display();
	}
	
	/**
	 * Display Cpanel
	 **/
	function cpanel()
	{
		$link	=	_LINK_CCK;
		
		$this->setRedirect( $link );
	}
	
	/**
	 * Display Cpanel
	 **/
	function cpanel_addon()
	{
		$link	=	_LINK_COMPONENT;
		
		$this->setRedirect( $link );
	}
	
}
?>