--
-- Table structure for table `#__jseblod_cck_extra_temp`
--

DROP TABLE IF EXISTS `#__jseblod_cck_extra_temp`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_extra_temp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_date` datetime NOT NULL,
  `name` varchar(50) NOT NULL,
  `tasks` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `#__jseblod_cck_extra_temp`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `category` int(11) NOT NULL,
  `type` tinyint(4) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(4) NOT NULL,
  `lastfile` tinyint(4) NOT NULL,
  `url` varchar(250) NOT NULL,
  `filename` varchar(50) NOT NULL,
  `login` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `localmode` tinyint(4) NOT NULL,
  `db_sql_file` varchar(30) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `idx_category` (`category`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `#__jseblod_cck_webservices`
--

INSERT INTO `#__jseblod_cck_webservices` (`id`, `title`, `name`, `category`, `type`, `description`, `published`, `lastfile`, `url`, `filename`, `login`, `password`, `localmode`, `db_sql_file`, `checked_out`, `checked_out_time`) VALUES
(1, 'Export from Joomla Database (sample)', 'export_from_joomla_database_(sample)', 1, 5, '', 1, 1, '', '', '', '', 1, '20111125084420.sql', 0, '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_categories`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_categories`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `color` varchar(50) NOT NULL,
  `introchar` varchar(2) NOT NULL,
  `colorchar` varchar(50) NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(4) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `#__jseblod_cck_webservices_categories`
--
INSERT INTO `#__jseblod_cck_webservices_categories` (`id`, `title`, `name`, `color`, `introchar`, `colorchar`, `lft`, `rgt`, `description`, `published`, `checked_out`, `checked_out_time`) VALUES
(1, 'Quick Category', 'quick_category', '#ffd700', '', '', 0, 0, '', 1, 0, '0000-00-00 00:00:00'),
(2, 'Top', 'TOP', '', '', '', 1, 2, '', 1, 0, '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_jobs`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_jobs`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_jobs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `category` int(11) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(4) NOT NULL,
  `mode` tinyint(4) NOT NULL,
  `active` int(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_category` (`category`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `#__jseblod_cck_webservices_jobs`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_jobs_categories`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_jobs_categories`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_jobs_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `color` varchar(50) NOT NULL,
  `introchar` varchar(2) NOT NULL,
  `colorchar` varchar(50) NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(4) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `#__jseblod_cck_webservices_jobs_categories`
--

INSERT INTO `#__jseblod_cck_webservices_jobs_categories` (`id`, `title`, `name`, `color`, `introchar`, `colorchar`, `lft`, `rgt`, `description`, `published`, `checked_out`, `checked_out_time`) VALUES
(1, 'Quick Category', 'quick_category', '#ffd700', '', '', 0, 0, '', 1, 0, '0000-00-00 00:00:00'),
(2, 'Top', 'TOP', '', '', '', 1, 2, '', 1, 0, '0000-00-00 00:00:00');
-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_job_scheduler`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_job_scheduler`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_job_scheduler` (
  `jobid` int(11) NOT NULL,
  `attribute` varchar(50) NOT NULL,
  `value` varchar(50) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`jobid`,`attribute`),
  KEY `taskid` (`jobid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__jseblod_cck_webservices_job_scheduler`
--

-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_job_task`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_job_task`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_job_task` (
  `jobid` int(11) NOT NULL,
  `taskid` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`jobid`,`taskid`,`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__jseblod_cck_webservices_job_task`
--


-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_tasks`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_tasks`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_tasks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `category` int(11) NOT NULL,
  `webservice` varchar(50) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(4) NOT NULL,
  `process` tinyint(4) NOT NULL DEFAULT '0',
  `step` int(4) NOT NULL DEFAULT '100',
  `mode` tinyint(4) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL,
  `arraytest` varchar(16) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_category` (`category`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `#__jseblod_cck_webservices_tasks`
--

INSERT INTO `#__jseblod_cck_webservices_tasks` (`id`, `title`, `name`, `category`, `webservice`, `description`, `published`, `process`, `step`, `mode`, `checked_out`, `checked_out_time`, `arraytest`) VALUES
(1, 'Export from Default Submission Category (sample)', 'export_from_default_submission_category_sample', 1, 'export_from_joomla_database_(sample)', '', 1, 3, 0, 0, 0, '0000-00-00 00:00:00', '');



-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_tasks_categories`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_tasks_categories`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_tasks_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `color` varchar(50) NOT NULL,
  `introchar` varchar(2) NOT NULL,
  `colorchar` varchar(50) NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(4) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `#__jseblod_cck_webservices_tasks_categories`
--

INSERT INTO `#__jseblod_cck_webservices_tasks_categories` (`id`, `title`, `name`, `color`, `introchar`, `colorchar`, `lft`, `rgt`, `description`, `published`, `checked_out`, `checked_out_time`) VALUES
(1, 'Quick Category', 'quick_category', '#ffd700', '', '', 0, 0, '', 1, 0, '0000-00-00 00:00:00'),
(2, 'Top', 'TOP', '', '', '', 1, 2, '', 1, 0, '0000-00-00 00:00:00');
-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_tasks_fields`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_tasks_fields`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_tasks_fields` (
  `taskid` int(11) NOT NULL,
  `cck` varchar(20) NOT NULL,
  `csv` varchar(20) NOT NULL,
  `options` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__jseblod_cck_webservices_tasks_fields`
--

INSERT INTO `#__jseblod_cck_webservices_tasks_fields` (`taskid`, `cck`, `csv`, `options`) VALUES
(1, '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_task_config`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_task_config`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_task_config` (
  `taskid` int(11) NOT NULL,
  `param` varchar(50) NOT NULL,
  `value` varchar(250) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`taskid`,`param`),
  KEY `taskid` (`taskid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__jseblod_cck_webservices_task_config`
--
INSERT INTO `#__jseblod_cck_webservices_task_config` (`taskid`, `param`, `value`, `ordering`) VALUES
(1, 'file', '', 1);




-- --------------------------------------------------------

--
-- Table structure for table `#__jseblod_cck_webservices_task_process`
--

DROP TABLE IF EXISTS `#__jseblod_cck_webservices_task_process`;
CREATE TABLE IF NOT EXISTS `#__jseblod_cck_webservices_task_process` (
  `taskid` int(11) NOT NULL,
  `attribute` varchar(50) NOT NULL,
  `value` varchar(250) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`taskid`,`attribute`),
  KEY `taskid` (`taskid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `#__jseblod_cck_webservices_task_process`
--
INSERT INTO `#__jseblod_cck_webservices_task_process` (`taskid`, `attribute`, `value`, `ordering`) VALUES
(1, 'expfields', 'introtext_as_field,id,title,alias,state,catid,created,created_by,modified,modified_by,access,', 13),
(1, 'joomla_version', '1.7', 12),
(1, 'field_type', '2', 11),
(1, 'exp_content_type', '', 10),
(1, 'catandsubcat', '3', 9),
(1, 'expcat', '1', 8),
(1, 'force_utf8', '0', 7),
(1, 'separator', ',', 6),
(1, 'access', '0', 5),
(1, 'content_type', '', 1),
(1, 'state', '1', 2),
(1, 'catid', '', 3),
(1, 'author', '62', 4);