<?php
/**
* @version 			1.0.0
* @author       	http://www.seblod.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
* @package			Tasks & WebServices for SEBLOD 1.x
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Table Class
 **/
class TableJobs extends JTable
{
	/**
	 * Vars
	 **/
	var $id = null;						//Primary Key

	var $title = null;					//Varchar (50)
	var $name = null;					//Varchar (50)
	var $category = null;				//Int
		
	var $description = null;			//Text
	var $published = null;				//Tinyint (4)
	var $mode = null;					//Tinyint (4)
	var $active = null;					//Tinyint (4)
	var $checked_out = null;			//Int (UNSIGNED)
	var $checked_out_time = null;		//Datetime

	/**
	 * Constructor
	 **/
	function TableJobs( & $db ) {
		parent::__construct( '#__jseblod_cck_webservices_jobs', 'id', $db );
	}
	
}
?>