<?php
/**
* @version 			1.0.0
* @author       	http://www.seblod.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
* @package			Tasks & WebServices for SEBLOD 1.x
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Table Class
 **/
class TableWebServices_Categories extends JTable
{
	/**
	 * Vars
	 **/
	var $id					=	null;	//Primary Key

	var $title				=	null;	//Varchar (50)
	var $name				=	null;	//Varchar (50)
	var $lft				=	null;	//Int
	var $rgt				=	null;	//Int
	
	var $color				=	null;	//Varchar (50)
	var $introchar			=	null;	//Varchar (2)
	var $colorchar			=	null;	//Varchar (50)
	
	var $description		=	null;	//Text
	var $published			=	null;	//Tinyint (4)
	
	var $checked_out		=	null;	//Int (UNSIGNED)
	var $checked_out_time	=	null;	//Datetime
	
	/**
	 * Constructor
	 **/
	function TableWebServices_Categories( & $db ) {
		parent::__construct( '#__jseblod_cck_webservices_categories', 'id', $db );
	}
	
	/**
	 * Overload Check Function
	 **/
	function check() {
		if( empty( $this->name ) ) {
			$this->name	=	$this->title;
			$this->name	=	Helper_Helper::stringURLSafe( $this->name );
			if( trim( str_replace( '_', '', $this->name ) ) == '' ) {
				$datenow	=&	JFactory::getDate();
				$this->name =	$datenow->toFormat( "%Y_%m_%d_%H_%M_%S" );
			}
		}
		
		return true;
	}
}
?>