<?php
/**
* @version 			1.0.0
* @author       	http://www.seblod.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
* @package			Tasks & WebServices for SEBLOD 1.x
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.filesystem.file' );

if ( JFile::exists( JPATH_COMPONENT.DS.'_VERSION.php' ) ) {
	$version	=	JFile::read( JPATH_COMPONENT.DS.'_VERSION.php' );
}
define( '_VERSION',	( @$version ) ? $version : '1.0.0' );
define( 'JPATH_LOG', JPATH_ROOT.DS.'logs' );

//ini_set('error_reporting',E_ALL |~E_STRICT );  // E_ALL | E_STRICT
//ini_set('display_errors', 'Off');
//ini_set('log_errors', 'On');
//ini_set('error_log', 'c:\php18.log');

// Include CSS
JHTML::_( 'stylesheet', 'administrator.css', 'administrator/components/com_cckjseblod/assets/css/' ); //Inherit
JHTML::_( 'stylesheet', 'administrator.css', 'administrator/components/com_cckjseblod_webservice/assets/css/' );
JHTML::_( 'stylesheet', 'icon.css', 'administrator/components/com_cckjseblod_webservice/assets/css/' );

// Include Tooltip && Mootips && Mootools
JHTML::_( 'script', 'mootips.js', 'media/jseblod/mootips/', true );
JHTML::_( 'stylesheet', 'mootips.css', 'media/jseblod/mootips/' );
JHTML::_( 'behavior.tooltip' );

// Include Tables
JTable::addIncludePath( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_cckjseblod_webservice'.DS.'tables' );

// Require Helpers
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'helper_helper.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'helper_define.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'helper_display.php' );

// Require Base Controller
require_once( JPATH_COMPONENT.DS.'controller.php' );

// Require Specific Controller
if ( $controller = JRequest::getVar( 'controller' ) ) {
	require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php' );
}

JSubMenuHelper::addEntry( _IMG_VIEW_1 . '&nbsp;&nbsp;&nbsp;' . _TITLE_VIEW_1, _LINK_VIEW_1, ( $controller == _VIEW_1 || $controller == _VIEW_1.'_categories' || ! $controller ) ? true : false );
JSubMenuHelper::addEntry( _IMG_VIEW_2 . '&nbsp;&nbsp;&nbsp;' . _TITLE_VIEW_2, _LINK_VIEW_2, ( $controller == _VIEW_2 || $controller == _VIEW_2.'_categories' ) ? true : false );
JSubMenuHelper::addEntry( _IMG_VIEW_3 . '&nbsp;&nbsp;&nbsp;' . _TITLE_VIEW_3, _LINK_VIEW_3, ( $controller == _VIEW_3 || $controller == _VIEW_3.'_categories' ) ? true : false );

// Create Controller
$classname	=	'CCKjSeblod_WebServiceController'.$controller;
$controller	=	new $classname( );

// Perform Request task
$controller->execute( JRequest::getVar( 'task' ) );

// Redirect
$controller->redirect();
?>