<?php
/**
* @version 			1.0.0
* @author       	http://www.seblod.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
* @package			Tasks & WebServices for SEBLOD 1.x
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );

define( '_VIEW_1',			'webservices' );
define( '_VIEW_2',			'tasks' );
define( '_VIEW_3',			'jobs' );


define( '_TITLE_VIEW_1',	JText::_( 'WEBSERVICE ACCESS' ) ); //
define( '_TITLE_VIEW_2',	JText::_( 'TASKS' ) );
define( '_TITLE_VIEW_3',	JText::_( 'JOBS' ) );


define( '_MANAGER_VIEW_1',	JText::_( 'ACCESS MANAGER' ) ); //
define( '_MANAGER_VIEW_2',	JText::_( 'TASK MANAGER' ) );
define( '_MANAGER_VIEW_3',	JText::_( 'JOB MANAGER' ) );


/**
 * LINKS
 **/
define( '_LINK_CCK',		'index.php?option=com_cckjseblod' );
define( '_LINK_COMPONENT',	'index.php?option=com_cckjseblod_webservice' );
define( '_LINK_VIEW_1',		_LINK_COMPONENT.'&controller=webservices' );
define( '_LINK_VIEW_2',		_LINK_COMPONENT.'&controller=tasks' );
define( '_LINK_VIEW_3',		_LINK_COMPONENT.'&controller=jobs' );

/**
 * PATHS
 **/
$root	=	JURI::root( true );
define( "_PATH_ROOT",			$root );
define( "_PATH_CALENDAR",		'/media/jseblod/calendar/' );
define( "_PATH_FORMVALIDATOR",	'/media/jseblod/formvalidator/' );
define( "_PATH_MOORAINBOW",		'/media/jseblod/moorainbow/' );


/**
 * IMAGE
 **/
define( '_IMG_VIEW_1',			'<img src="components/com_cckjseblod_webservice/assets/images/16/icon-16-webservices.png" border="0" alt=" " />' );
define( '_IMG_VIEW_1_24',		'<img src="components/com_cckjseblod_webservice/assets/images/24/icon-24-webservices.png" border="0" alt=" " />' );
define( '_IMG_VIEW_2',			'<img src="components/com_cckjseblod_webservice/assets/images/16/icon-16-tasks.png" border="0" alt=" " />' );
define( '_IMG_VIEW_2_24',		'<img src="components/com_cckjseblod_webservice/assets/images/24/icon-24-tasks.png" border="0" alt=" " />' );
define( '_IMG_VIEW_3',			'<img src="components/com_cckjseblod_webservice/assets/images/16/icon-16-jobs.png" border="0" alt=" " />' );
define( '_IMG_VIEW_3_24',		'<img src="components/com_cckjseblod_webservice/assets/images/24/icon-24-jobs.png" border="0" alt=" " />' );
define( '_IMG_JOB_ACTIVE',	    '<img src="components/com_cckjseblod_webservice/assets/images/24/icon-24-job_active.png" border="0" alt=" " />' );
define( '_IMG_JOB_RUN',			'<img src="components/com_cckjseblod_webservice/assets/images/24/icon-24-job_run.png" border="0" alt=" " />' );
 


define( '_IMG_BALLOON_RIGHT',	'<img src="components/com_cckjseblod/assets/images/list/icon-16-balloon-right.png" border="0" alt=" " />' );
define( '_IMG_BALLOON_LEFT',	'<img src="components/com_cckjseblod/assets/images/list/icon-16-balloon-left.png" border="0" alt=" " />' );
define( '_IMG_CATEGORY',		'<img src="components/com_cckjseblod/assets/images/list/icon-16-category.png" border="0" alt=" " />' );
define( '_IMG_CATEGORIES',		'<img src="components/com_cckjseblod/assets/images/list/icon-16-categories.png" border="0" alt=" " />' );
define( '_IMG_COLOR',			'<img src="'._PATH_ROOT._PATH_MOORAINBOW.'images/color.png" id="colorRainbow" border="0" alt=" " width="16" height="16" />' );
define( '_IMG_COLORCHAR',		'<img src="'._PATH_ROOT._PATH_MOORAINBOW.'images/color.png" id="colorcharRainbow" border="0" alt=" " width="16" height="16" />' );
define( '_IMG_DEFAULT',			'<img src="components/com_cckjseblod/assets/images/list/icon-16-default.png" border="0" alt=" " />' );
define( '_IMG_PROCESS',			'<img src="components/com_cckjseblod_webservice/assets/images/24/icon-24-tasks_process.png" border="0" alt=" " />' );
define( '_IMG_DEFAULT1',		'<img src="components/com_cckjseblod/assets/images/list/icon-16-default1.png" border="0" alt=" " />' );
// define( '_IMG_DEFAULT1',			'<img src="components/com_cckjseblod/assets/images/list/icon-16-default1.gif" border="0" alt=" " />' );

define( '_IMG_QUICK_EDIT',		'<img src="components/com_cckjseblod/assets/images/list/icon-16-quick-edit.png" border="0" alt=" " />' );
define( '_IMG_PARENT', 			'<img src="components/com_cckjseblod/assets/images/list/icon-16-parent.png" border="0" alt=" " />' );
define( '_IMG_WARNING',			'<img src="components/com_cckjseblod/assets/images/list/icon-16-warning.png" border="0" alt=" " />');



///
define( '_IMG_ADD', 		'<img src="components/com_cckjseblod/assets/images/list/icon-16-add.gif" border="0" alt=" " />' );
define( '_IMG_DEL', 		'<img src="components/com_cckjseblod/assets/images/list/icon-16-del.gif" border="0" alt=" " />' );

/**
 * NBSPS
 **/
define( '_NBSP', 				str_repeat( '&nbsp;', 3 ) );
define( '_NBSP2', 				str_repeat( '&nbsp;', 5 ) );

/**
 * CONFIG
 **/
$config	=	CCK_DB_Object( 'SELECT modal_width, modal_height, view_access_level, edit_access_level FROM  #__jseblod_cck_configuration' );

if ( $config ) {
	define( "_MODAL_WIDTH",		$config->modal_width );
	define( "_MODAL_HEIGHT",	$config->modal_height );
	define( "_VIEW_ACCESS",		$config->view_access_level );
	define( "_EDIT_ACCESS",		$config->edit_access_level );
} else {
	define( "_MODAL_WIDTH",		900 );
	define( "_MODAL_HEIGHT",	540 );	
}
define( "_DELETE_MODE", 0 );

?>