<?php
/**
* @version			1.0.0
* @author       	http://www.seblod.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
* @package			Tasks & WebServices for SEBLOD 1.x
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Runtime Class
 **/
class Helper_Runtime
{
    var $StartTime	=	0;
    var $StopTime	=	0;
 
    function get_microtime()
    {
        list( $usec, $sec ) = explode( ' ', microtime() );
        return ( (float)$usec + (float)$sec );
    }
 
    function start()
    {
        $this->StartTime	=	$this->get_microtime();
    }
 
    function stop()
    {
        $this->StopTime	=	$this->get_microtime();
    }
 
    function spent()
    {
        return round( ( $this->StopTime - $this->StartTime ) * 1000, 1 );
    }   
}
?>