<?php
/**
* @version 			1.0.0
* @author       	http://www.seblod.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
* @package			Tasks & WebServices for SEBLOD 1.x
**/
 
// No Direct Access
defined('_JEXEC') or die('Restricted access');

/**
 * Helper Class
 * */
class Helper_Webservice {

    /**
     * @Call different tasks in a job
     * @return nbItems
     */
    function callJob($jobname, $table1, $table2, $jobId, $tabletask, $tablewebservice, $tabletaskparam, $tabletaskprocess) {

        $nbItems = array();

        //get the taskids of current job
        $query = 'SELECT s.taskid FROM #__' . $table1 . ' AS s '
                . ' WHERE s.jobid = ' . $jobId
        ;
        $res = CCK_DB_ObjectList($query);

        require_once( JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_cckjseblod_webservice' . DS . 'models' . DS . 'task.php' );
        foreach ($res as $re) {

            //get the task 's  webservice type
            $dest12 = JPATH_LOG . DS . "bbb.text";
            $handle12 = fopen($dest12, "a");
            $ws = CCKjSeblod_WebServiceModelTask::getWsByTask($tablewebservice, $table2, $re->taskid);
            $wstype = $ws->type;
            fwrite($handle12, "wstype= " . $wstype . "re=" . $re->taskid);

            //query for execute webservice
            $query = ' SELECT s.*, w.name AS wname, w.url AS wurl, w.login AS wlogin, w.password AS wpassword '
                    . ' FROM #__' . $tabletask . ' AS s '
                    . ' LEFT JOIN #__' . $tablewebservice . ' AS w '
                    . ' ON s.webservice = w.name '
                    . ' WHERE s.id = ' . $re->taskid;
            $viewItem = & CCK_DB_Object($query);

            //debug's value
            $query1 = ' SELECT s.value FROM #__' . $tabletaskprocess . ' AS s'
                    . ' WHERE s.attribute= "debug" '
                    . ' AND s.taskid = ' . $re->taskid;
            $doDebug = CCK_DB_Result($query1);
            //get the task Name
            $query = 'SELECT  s.name, s.process FROM #__' . $tabletask . ' AS s '
                    . ' WHERE s.id = ' . '\'' . $re->taskid . '\'';
            $obj = CCK_DB_Object($query);
            $taskName = $obj->name;
            $process = $obj->process;

            //step and  mode 's value
            $step = $viewItem->step;

            if ($step != 0 and $ws->type == 1) {
                //limitstart, limit 's value
                $query2 = ' SELECT s.value FROM #__' . $tabletaskparam . ' AS s'
                        . ' WHERE s.param= "Limit" '
                        . ' AND s.taskid = ' . $re->taskid;
                $query3 = ' SELECT s.value FROM #__' . $tabletaskparam . ' AS s'
                        . ' WHERE s.param= "Limitstart" '
                        . ' AND s.taskid = ' . $re->taskid;

                $Limit = CCK_DB_Result($query2);
                $Limitstart = CCK_DB_Result($query3);
                $totalitem = 0;

                //$nbloop
                $nbloop = $Limit / $step;
                ( $nbloop <= 1 ) ? ($nbloop = 1) : $nbloop = ( floor($nbloop) + 1 );

                $lastlimit = $Limit - (( $nbloop - 1 ) * $step);

                for ($j = 0; $j < $nbloop; $j++) {
                    ////////624
                    $returnData = Helper_Webservice::callTask($ws, $viewItem, $tabletaskparam, $doDebug, $Limitstart, $step, ($j == $nbloop - 1), $lastlimit, $re->taskid, 99);
                    $paramsprocess = Helper_Webservice::keyValueFromArray($table = $tabletaskprocess, $taskid = $re->taskid, $p1 = 'attribute', $v1 = 'value');
                    $data = Helper_Webservice::processTask($returnData->data, $process, $paramsprocess, $taskName, $taskid);
                    $nb = trim(preg_replace("/[^0-9]/", "", $data));
                    $totalitem += $nb;
                    $Limitstart += $step;
                }
                array_push($nbItems, $totalitem);

                //add the code here
            } elseif ($step == 0 and $ws->type == 1) {

                $returnData = Helper_Webservice::callTask($ws, $viewItem, $tabletaskparam, $doDebug, $limit_start = -999, $step, $lastcycle = 0, $lastlimit = 0, $re->taskid, 99);
                $paramsprocess = Helper_Webservice::keyValueFromArray($table = $tabletaskprocess, $taskid = $re->taskid, $p1 = 'attribute', $v1 = 'value');
                $data = Helper_Webservice::processTask($returnData->data, $process, $paramsprocess, $taskName, $taskid);
                $nb = trim(preg_replace("/[^0-9]/", "", $data));
                array_push($nbItems, $nb);
            } elseif ($ws->type != 1 && $ws->type !=5) {
                $paramsprocess = Helper_Webservice::keyValueFromArray($table = $tabletaskprocess, $taskid = $re->taskid, $p1 = 'attribute', $v1 = 'value');
               
                $returnData = Helper_Webservice::calltask($ws, $viewItem, $tabletaskparam,$paramsprocess,'','');    ///////
                fwrite($handle12, "***after calltask***");
                fwrite($handle12, "***before processtask**");

                $data = Helper_Webservice::processTask($returnData->data, $process, $paramsprocess, $taskName, $taskid);

                fwrite($handle12, "after processtask");
                $nb = trim(preg_replace("/[^0-9]/", "", $data));
                array_push($nbItems, $nb);
            }elseif($ws->type == 5){
                $data = Helper_Webservice::processTask('', $process, '', $taskName, $re->taskid);
            }
        }

        return $nbItems;
    }

    /**
     *   $p1,$v1 are attributes of the table.
     *   return a key-value array from a table
     * */
    function keyValueFromArray($table, $taskid, $p1, $v1) {

        $query = 'SELECT * FROM #__' . $table
                . ' WHERE taskid = ' . '\'' . $taskid . '\''
        ;
        $db = & JFactory::getDBO();
        $db->setQuery($query);
        $params = $db->loadAssocList();

        $paramsArray = array();
        foreach ($params as $param) {
            $tparam = $param[$p1];
            $tvalue = $param[$v1];
            $paramsArray[$tparam] = $tvalue;
        }
        return $paramsArray;
    }

    /**
     * only for (scheduler)testing(insert into the database)
     * */
    function callTask_Temp($jobname, $tasknames) {

        $time = date("Y-m-d H:i:s ", time());
        $query = 'INSERT INTO #__jseblod_cck_extra_temp(created_date, name, tasks) VALUES '
                . '(\'' . $time . '\','
                . '\'' . $jobname . '\','
                . '\'' . $tasknames . '\''
                . ')';
        $db		=&	JFactory::getDBO();
        $db->setQuery( $query );
	if ( ! $db->query() ) {
		return false;
	}

    }

    /**
     * CallTask(), Called by callJob()
     * @return $returnData of
     * (Webservice or HttpCSV according to the value of "tasktype")
     *
     * */
    function callTask($ws, $viewItem, $viewTableParam, $processAttributes, $limit_start = -999, $step, $lastcycle = 0, $lastlimit = 0, $taskid = 0, $job = 0, $type = 0) {
/// Helper_Webservice::callTask($ws, $viewItem, $tabletaskparam, $doDebug, $Limitstart, $step, ($j == $nbloop - 1), $lastlimit, $re->taskid, 99);
        //log
        $calltasktest = JPATH_LOG . DS . 'calltasktest.log';
        $hdc = fopen($calltasktest, 'a');
        set_time_limit(0);
        fwrite($hdc, "$viewItem->id, ok,calltask" . "\r\n");

        //return folder
        $rep = '';
        if (DS == "\\") {// WIN OS
            $pattern = "/\\\[a-zA-Z0-9_-\s]+(\.)([a-zA-Z]{3})$/";
            $rep = preg_replace($pattern, '', $ws->url);
        } else {// LINUX OS
            $pattern = "/\/[a-zA-Z0-9_-\s]+(\.)([a-zA-Z]{3})$/";
            $rep = preg_replace($pattern, '', $ws->url);
        }
        fwrite($hdc, "rep = $rep" . "\r\n");
        ///return task_config's filename
        $query = ' SELECT s.value  '
                . ' FROM #__' . $viewTableParam . '  AS s '
                . ' WHERE s.taskid = ' . $viewItem->id;
        fwrite($hdc, "query=$query" . "\r\n");
        $tconfig = CCK_DB_ResultArray($query);
        if (@$tconfig) {
            $tsfile = $tconfig[0];
        }

        fwrite($hdc, "tsfile = $tsfile" . "\r\n");

        //access type equal 2, get returnData directly from the http address(csv)
        if ($ws->type == 2 or $ws->type == 3 or $ws->type == 4) {

            if (($ws->type == 3) and ( $ws->login )) {

                if (@$tsfile) {
                    $urltemp = $rep . '/' . $tsfile;  ///DS
                    $urlpass = explode("://", $urltemp);
                    $remoteURL = $urlpass[0] . "://" . $ws->login . ":" . $ws->password . "@" . $urlpass[1];
                    fwrite($hdc, "ok,tsfile, 3" . "\r\n");
                } else {
                    $urlpass = explode("://", $ws->url);
                    $remoteURL = $urlpass[0] . "://" . $ws->login . ":" . $ws->password . "@" . $urlpass[1];
                    fwrite($hdc, "ok,non-tsfile, 3" . "\r\n");
                }
            } else {

                if (@$tsfile) {
                    $remoteURL = $rep . DS . $tsfile;  /////???
                    fwrite($hdc, "ok,tsfile," . "\r\n");
                } else {
                    $remoteURL = $ws->url;
                    fwrite($hdc, "ok,no-tsfile," . "\r\n");
                }
            }
            fwrite($hdc, "ok,remoteURL=$remoteURL" . "\r\n");
            $nbs    =   count($processAttributes);
            fwrite($hdc, "--count---$nbs---");
            foreach ($processAttributes as $key => $value) {
              fwrite($hdc, "@$key@$value"."\n");
            }
            
            return Helper_Webservice::httpCSVReturnData($remoteURL,$processAttributes['separator'] ); // $processAttributes['separator']
        }

        //tasktype equal 1, get returnData directly from webservice
        if ($ws->type == 1) {

            $data = '';
            $cid = 0;

            if ($job == 99) {
                $cid = $taskid;
            } else {
                $cid = JRequest::getInt('cid');
            }
            //prepare for calling Webservice
            $classGererated = $viewItem->wname;
            $taskid = $viewItem->id;
            require_once( JPATH_COMPONENT . DS . 'helpers' . DS . 'wsdl2php' . DS . 'functions.php' );
            require_once( JPATH_COMPONENT . DS . 'helpers' . DS . 'class' . DS . $classGererated . '.php' );
            /******************************************
             * Webservice via RemoteURI, only for switcher++
             ******************************************/

            $wsdlurl = $viewItem->wurl;
            $login   = $viewItem->wlogin;
            $password = $viewItem->wpassword;
            $taskname = $viewItem->name;
            $classGererated = $viewItem->wname;

            $client = new $classGererated($wsdlurl,
                            array('login' => $login,
                                'password' => $password,
                                'trace' => true,
                                'exceptions' => true));
            $params = new $taskname();
            $task_params_array = Helper_Webservice::keyValueFromArray($table = $viewTableParam, $taskid = $cid, $p1 = 'param', $v1 = 'value');

            //when -999, no step
            if ($limit_start != -999) {//cycle
                ( $lastcycle ) ? $task_params_array['Limit'] = $lastlimit : $task_params_array['Limit'] = $step;
                $task_params_array['Limitstart'] = $limit_start;
            }
            foreach ($task_params_array as $key => $value) {
                $params->$key = $value;
            }

            //call the method of webservice SWITCHER
            $returnData = new stdClass();
            $returnData->data = $client->$taskname($params); //ok
            //webservice's message
            if ($processAttributes['debug']) {
                $returnData->data->lastRequestHeaders = $client->__getLastRequestHeaders();
                $returnData->data->lastResponseHeaders = $client->__getLastResponseHeaders();
            }
            return $returnData;
        }
    }

    /**
     * Process Task (called by callJob()).
     * on the basis of $process's value, do something
     *
     * process=0(display)
     * process=1(import),call method "dataImportCSV()
     * process=2(export)
     * process=-1(free php).
     *
     * @return data  (information cue)
     * */
    function processTask($returnData, $process, $processAttributes, $taskName, $taskid) {
        $data = '';
        switch ($process) {
            case 2:  //export
                /// generate a file

                if ($processAttributes['field_type'] == null ) {   //filed_type
                    $config = & JFactory::getConfig();
                    $tempFolder = $config->getValue('config.tmp_path');
                    $file = $tempFolder . DS . $taskName . '.csv';
                    $handle = fopen($file, 'w');
                    $items = $returnData->Data1->item; //TODO:

                    if ($handle) {
                        foreach ($items as $item) {
                            fwrite($handle, $item->Content);
                            fwrite($handle, "\n");
                        }
                        fclose($handle);
                    }

                    $path = JURI::root() . 'tmp/' . $taskName . '.csv';
                    $data = JText::_('CSV FILE SUCCESSFULY CREATED') . ' ' . '<a target="_blank" href="' . $path . '" />' . $taskName . '.csv' . '</a>';
                    break;
                }
            ///

            case 3: //export(* DB Content)
                require_once (JPATH_ADMINISTRATOR.DS.'components'.DS.'com_cckjseblod_webservice'.DS.'helpers'.DS.'helper_webservice.php');
                $processData = Helper_Webservice::dataExportCSV(-1, $taskid);
                break;
            case 1: // import
                $items = $returnData->Data1->item; //TODO:
                $data = Helper_Webservice::dataImportCSV($items, $processAttributes, $taskid);
                $data = $data . ' ' . JText::_('ITEMS SUCCESSFULY CREATED');
                break;
            case -1:  //Free(Php)
                $phpCode = htmlspecialchars_decode($processAttributes['defaultvalue']);

                eval($phpCode);
                $data = 'Free Php!';
                break;
            case 0: //krumo
            default:
                break;
        }

        return $data;
    }

    /**
     * Add Content Type
     * */
    function addContentType($title) {
        JTable::addIncludePath(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_cckjseblod' . DS . 'tables');

        $row = & JTable::getInstance('types', 'Table');
        $row->title = $title;
        require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_cckjseblod' . DS . 'helpers' . DS . 'jseblod_helper.php');
        $row->name = HelperjSeblod_Helper::stringURLSafe($title);

        if (trim(str_replace('_', '', $row->name)) == '') {
            $datenow = & JFactory::getDate();
            $row->name = $datenow->toFormat("%Y_%m_%d_%H_%M_%S");
        }
        $row->category = 1;
        $row->admintemplate = 1;
        $row->sitetemplate = 1;
        $row->contenttemplate = 4;
        $row->published = 1;

        if (!$row->store()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        return $row;
    }

    /**
     * add fields
     *
     * */
    function addField($name) {

        JTable::addIncludePath(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_cckjseblod' . DS . 'tables');

        $row = & JTable::getInstance('items', 'Table');
        $row->title = ucfirst(str_replace('_', ' ', $name));
        $row->name = $name;
        $row->category = 1;
        $row->type = 1;
        $row->light = 1;
        $row->label = ucfirst(str_replace('_', ' ', $name));
        $row->display = 3;
        $row->gACL = 17;

        if (!$row->store()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        return $row->id;
    }

    /* Add TypeItem  contenttype <=>fields
     * */

    function _addTypeItem($assignmentsValues, $default) {

        if ($default['content_type_id']) {
            $db1 = JFactory::getDBO();
            $assignmentsValues = substr($assignmentsValues, 1);
            $query = 'INSERT INTO #__jseblod_cck_type_item ( typeid, itemid, client, ordering )'
                    . ' VALUES ' . $assignmentsValues;
            $db1->setQuery($query);
            if (!$db1->query()) {
                $this->setError($db1->getErrorMsg());
                return false;
            }

            $assignmentsValues = str_replace('admin', 'content', $assignmentsValues);
            $query = 'INSERT IGNORE INTO #__jseblod_cck_type_item_email ( typeid, itemid, client, ordering )'
                    . ' VALUES ' . $assignmentsValues;
            $db1->setQuery($query);
            if ($db1->query()) {
                $this->setError($db1->getErrorMsg());
                return false;
            }
        }
    }

    /**
     * Data Import CSV
     * $tablefields   couple(csv, contenttype)
     *
     * */
    function dataImportCSV($items, $default, $taskid = 41, $tablefields = '') {
    	ini_set('memory_limit','350M');
        // Get Var                                      attributes[state]
        //$default     		           =	JRequest::getVar('attributes', 0, '', 'array');
        $query = "SELECT id FROM #__jseblod_cck_types  WHERE name  = "
                . "'" . $default['content_type'] . "'";    //find by name
        $contypeid = CCK_DB_RESULT($query);

        $query = "SELECT * FROM #__jseblod_cck_type_item  WHERE typeid  = "
                . "'" . $contypeid . "'";
        $assoc = CCK_DB_RESULT($query);

        if ($assoc == null) {
            $default['content_type_id'] = $contypeid;
        } else {
            $default['content_type_id'] = 0;
        }

        $default['action_mode'] = Helper_Webservice::getActionMode($default['content_type']);
        if ($default['action_mode'] == 1) {
            $default['action_text'] = 'category';
            $default['action_jf_text'] = 'categories';
        } else {
            $default['action_text'] = 'content'; //Users!
            $default['action_jf_text'] = 'content'; //Users!
        }
        if (!$default['content_type']) {
            $cType = $this->addContentType(JRequest::getVar('new_type'));
            $default['content_type'] = @$cType->name;
            $default['content_type_id'] = @$cType->id;
        }

        $row = 0;
        $content = array();
        if (sizeof($items)) {
            foreach ($items as $item) {
                if ($row == 0) {
                    $fieldnames = str_getcsv($item->Content, $default['separator']);
                } else {
                    $content[] = str_getcsv($item->Content, $default['separator']);
                }
                $row++;
            }
        }
        /// get rid of '.'
        if ( $fieldnames[0] != '' ) {
		$fieldnames[0]	=   preg_replace( '/[^A-Za-z0-9_#\(\)\|]/', '', $fieldnames[0] );
	}

        ///


        //
        ///get map fields, change the field's name when import a article.

        $query8 = "SELECT s.options FROM #__jseblod_cck_webservices_tasks_fields AS s WHERE s.taskid = " . $taskid;
        $ops = CCK_DB_Result($query8);
        $fields_options = explode('||', $ops);
        $optkeys = array();
        if ($ops) {
            $csv_ct_fields = array();
            foreach ($fields_options as $f_opts) {
                $tmp = explode('=', $f_opts);
                $csv_ct_fields[$tmp[0]] = $tmp[1]; //csv-contentype
            }
            $optkeys = array_keys($csv_ct_fields);
        }

        //map the fields(csv-contenttype)
        if (sizeof($fieldnames) && sizeof($optkeys)) {
            $nums_fieldnames = count($fieldnames);
            for ($z = 0; $z < $nums_fieldnames; $z++) {
                if (in_array($fieldnames[$z], $optkeys)) {
                    $fieldnames[$z] = $csv_ct_fields[$fieldnames[$z]];
                }
            }
        }

        // Get Fields & Groups
        $names = '';
        $subnames = array();
        if (sizeof($fieldnames)) {
            $f = 0;
            foreach ($fieldnames as $name) {
                $name = preg_replace('/[^A-Za-z0-9_#\(\)\|]/', '_', $name);
                if (strpos($name, '(') !== false) {
                    $temp = explode('(', $name);
                    $name = $temp[0];
                    $name = strtolower($name);
                    $fieldnames[$f] = $name;
                    $subnames[$name] = substr($temp[1], 0, -1);
                } else {
                    $name = strtolower($name);
                    $fieldnames[$f] = $name;
                }
                $names .= '"' . $name . '",';
                $f++;
            }
            $names = substr($names, 0, -1);
        }
        //
        $fields = Helper_Webservice::getFields($fieldnames, $names);
        $subfields = array();
        foreach ($subnames as $subkey => $subval) {
            $subfields[$subkey] = explode('|F|', $subval);
            if (sizeof($subfields[$subkey])) {
                foreach ($subfields[$subkey] as $subfield_key => $subfield_val) {
                    $query = ' SELECT s.*, cc.name AS typename FROM #__jseblod_cck_items AS s LEFT JOIN #__jseblod_cck_items_types AS cc ON cc.id = s.type WHERE s.name = "' . $subfield_val . '"';
                    $subfields[$subkey][$subfield_key] = CCK::DB_loadObject($query);
                }
            }
        }

        // #
        // # 2
        // #
        // Init
        set_time_limit(0);
        $db = & JFactory::getDBO();
        $datenow = & JFactory::getDate();
        $unixTime = $datenow->toUnix();
        $second = date('s');
        $second = $second - 3;
        $default['created'] = date('Y-m-d H:i:' . $second, $unixTime);
        JTable::addIncludePath(JPATH_SITE . DS . 'libraries' . DS . 'joomla' . DS . 'database' . DS . 'table');

        // Init TypeField
        // TODO:
        $order = 1;
        $assignmentsValues = ( $default['action_mode'] == 2 ) ? ', ( ' . $default['content_type_id'] . ', 121, "admin", ' . $order . ' ) ' : ', ( ' . $default['content_type_id'] . ', 1, "admin", ' . $order . ' ) ';

        // #
        // # 3
        // #
        // Add/Edit Content
        $idPrev = '';
        $default['meta']['data'] = '';
        $count = count($content);
        for ($i = 0, $num = 1; $i < $count; $i++) {///950
            $j = 0;
            //
            $row = & JTable::getInstance($default['action_text']); ///
            $text = '';
            $group_text = array();
            //
            $default['content_type_up'] = '';
            $default['index_key_id'] = '';
            $default['index_key_name'] = '';
            $default['params'] = '';
            $default['meta'] = array();
            $default['save'] = 0;
            $default['substitute'] = array();
            $default['nIndexed'] = 0;
            $default['batchIndexed'] = array();
            //
            $x = 0;
            $id = 0;
            $isNew = 0;
            $memory = array();
            $rowU = array();
            $isNewU = 1;
            $rowUser = clone( JFactory::getUser(0) );
            //
            // #
            // # 4
            // #
            // Process Field
            foreach ($fieldnames as $fieldname) { ///721
                if ($fieldname) {
                    // #
                    // TODO:
                    if (strpos($fieldname, '#')) {
                        $fieldname = str_replace('#', $num, $fieldname);
                    }
                    // Get Fieldtype
                    $typename = @$fields[$fieldname]->typename;

                    // Get Value
                    if (@$content[$i][$j] != '') {
                        $value = ( $default['force_utf8'] ) ? utf8_encode(@$content[$i][$j]) : @$content[$i][$j];
                    } else {
                        $value = '';
                    }

                    // Process Field
                    if ($fieldname == 'jseblod' || $fieldname == 'id' || $fieldname == 'userid') {
                        //TODO:
                        ///
                        if ($fieldname == 'id') {
                            $id = $value;
                            $row->load($id);
                            $isNew = ( isset($row->title) ) ? 0 : 1;
                            if (@$id && @$id == $idPrev) {    //$num ???
                                $num++;
                                $x = 1;
                            } else {
                                $num = 1;
                            }
                            $idPrev = ( @$id ) ? $id : 0;
                        } else if ($fieldname == 'jseblod') {
                            $default['content_type_up'] = $value;
                        } else {
                            $userId = $value;
                            $rowUser = clone( JFactory::getUser($userId) );
                            $isNewU = ( isset($rowUser->name) ) ? 0 : 1;
                            if (!$isNewU) {
                                $id = HelperjSeblod_Helper::getCCKUser('contentid', 'userid', $userId);
                                if ($id) {
                                    $row->load($id);
                                    $isNew = 0;
                                }
                            }
                        }

                        ///
                    } else {
                        // Get Text
                        $default['meta']['data'] = '';
                        if ( $fieldname == 'attribs' ) {
                        	$c_attribs	=	$value;
                        }else {
                        	$value	=	self::rcLine( $value );
                        	include( JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_cckjseblod' . DS . 'helpers' . DS . 'cckitem_import.php' );

                        }

                        $com_name = JRequest::getVar('option');
                        $requires = JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . $com_name . DS . 'helpers' . DS . 'helper_webservice.php';
                        require_once($requires);
                        // Add TypeField
                        if ($i == 0 || $x) {
                            if ((!$typename) &&  ($fieldname != 'attribs')) {
                                $itemId = Helper_Webservice::addField($fieldname);
                            } else {
                                $itemId = @$fields[$fieldname]->id;
                            }
                            // Assignments Type||Field
                            if ($default['content_type_id'] && $itemId) {
                                $order++;
                                $assignmentsValues .= ', ( ' . $default['content_type_id'] . ', ' . (int) $itemId . ', "admin", ' . $order . ' ) ';
                            }
                        }

                        // TODO:
                    }
                    // Set Memory
                    // TODO:
                    $memory[$fieldname] = $value;
                    $j++;
                }
            }

            // #
            // # 5
            // #
            // Import User
            // TODO:
            // #
            // # 6
            // #
            // Import Content
            if ($id && !$isNew && @$default['update_mode'] != -1 && $default['action_mode'] != 1) {
                // TODO:

                $regex = "#::(.*?)::(.*?)::/(.*?)::#s";
                preg_match_all($regex, $row->introtext, $matches);
                if (sizeof($matches[1])) {
                    $k = 0;
                    foreach ($matches[1] as $match) {
                        if (array_key_exists($match, $memory)) {
                            $row->introtext = str_replace('::' . $match . '::' . $matches[2][$k] . '::/' . $match . '::', '::' . $match . '::' . $memory[$match] . '::/' . $match . '::', $row->introtext);
                            $text = str_replace('::' . $match . '::' . $memory[$match] . '::/' . $match . '::<br />', '', $text);
                        }
                        $k++;
                    }
                }
                $row->introtext = str_replace('::jseblodend::::/jseblodend::', $text . '::jseblodend::::/jseblodend::', $row->introtext);
            } else {
                $default['content_type_up'] = ( $default['content_type_up'] != '' ) ? $default['content_type_up'] : $default['content_type'];
                $text = '<br />::jseblod::' . $default['content_type_up'] . '::/jseblod::<br />' . $text . '::jseblodend::::/jseblodend::';
                if ($default['action_mode'] == 1) {
                    $row->description = $text;
                } else {
                    $row->introtext = $text;
                }
            }

            // #
            // # 7
            // #
            // Get Groups
            if (sizeof($group_text)) {
                if ($default['action_mode'] == 1) {
                    foreach ($group_text as $group_txt) {
                        $row->description .= $group_txt;
                    }
                } else {
                    foreach ($group_text as $group_txt) {
                        $row->introtext .= $group_txt;
                    }
                }
            }

            // #
            // # 8
            // #
            // Title
            if (sizeof($default['substitute'])) {
                $title = null;
                foreach ($default['substitute'] as $sub) {
                    $title .= $sub . ' ';
                }
                $row->title = trim($title);
            }
            if (!$row->title) {
                if ($default['action_mode'] == 2) {
                    $row->title = $rowU['username'];
                } else {
                    $row->title = $datenow->toFormat("%Y %m %d %H %M %S");
                }
            }
            // Alias
            if (!$row->alias) {
                $row->alias = JFilterOutput::stringURLSafe($row->title);
                if (trim(str_replace('-', '', $row->alias)) == '') {
                    $row->alias = $datenow->toFormat("%Y-%m-%d-%H-%M-%S");
                }
            }

            //Attribs
          	if (!$row->attribs) {
          		if ( isset( $c_attribs )){
	  				$c_attribs		=	self::rcLine( $c_attribs );
	                $row->attribs 	=	$c_attribs;
          		}
            }

            // Others
            if ($default['action_mode'] == 1) {
                // Category
                if (!isset($row->parent_id)) {
                    $row->parent_id = $default['catid'];
                }
                // Section
                if (!isset($row->section)) {
                    $row->section = CCK_DB_Result('SELECT section FROM #__categories WHERE id=' . (int) $row->parent_id);
                }
                // State
                if (!isset($row->published)) {
                    $row->published = $default['state'];
                }
                // Author
                //if ( ! $row->created_user_id ) {
                //	$row->created_user_id	=	$default['author'];
                //}
                // Access
                if (!isset($row->access)) {
                    $row->access = $default['access'];
                }
            } else {
                // Category
                if (!isset($row->catid)) {
                    $row->catid = $default['catid'];
                }
                // Save
                if ($default['save']) {
                    $row->catid = $default['save'];
                }
                // Section
                if (!isset($row->sectionid)) {
                    $row->sectionid = CCK_DB_Result('SELECT section FROM #__categories WHERE id=' . (int) $row->catid);
                }
                // State
                if (!isset($row->state)) {
                    $row->state = $default['state'];
                }
                // Author
                if (!$row->created_by) {
                    $row->created_by = $default['author'];
                }
                // Access
                if (!isset($row->access)) {
                    $row->access = $default['access'];
                }
                // Readmore Process
                $row->introtext = str_replace('<br>', '<br />', $row->introtext);
                $pattern = '#<hr\s+id=("|\')system-readmore("|\')\s*\/*>#i';
                $tagPos = preg_match($pattern, $row->introtext);
                if ($tagPos == 0) {
                    $row->introtext = $row->introtext;
                    $row->fulltext = '';
                } else {
                    list( $row->introtext, $row->fulltext ) = preg_split($pattern, $row->introtext, 2);
                }
                // Created Date
                if (!$row->created) {
                    $row->created = $default['created'];
                }
                // Start Publishing
                if (!$row->publish_up) {
                    $row->publish_up = $default['created'];
                }
                // Params
                if ($default['params']) {
                    $row->attribs = $default['params'];
                }
                // Meta
                if ($default['meta']) {
                    $row->metakey = @$default['meta']['key'];  ///
                    $row->metadesc = @$default['meta']['desc']; ///
                    $row->metadata = @$default['meta']['data']; ///
                }
            }

            // #
            // # 9
            // #

            if (@$default['lang']) {
                // Store||Update Translations
                include( JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_cckjseblod' . DS . 'helpers' . DS . 'cckonprepare_translation_import.php' );
            } else {
                // Store||Update
                if ($id && $isNew) {
                    // TODO:
                    // Create with specific ids
                    $row->id = null;
                    if (!$row->store()) {
                        $this->setError($this->_db->getErrorMsg());
                        return false;
                    }
                    $query = 'UPDATE #__content AS s SET s.id=' . (int) $id . ' WHERE s.id=' . (int) $row->id;
                    $db->setQuery($query);
                    if (!$db->query()) {
                        return false;
                    }
                    $row->id = $id;
                } else {
                    if (!$row->store()) {
                        $this->setError($db->getErrorMsg());
                    }
                }

                // Reorder
                if ($default['action_mode'] != 1) {
                    $row->reorder('catid = ' . (int) $row->catid . ' AND state >= 0');
                }
            }

            // #
            // # 10
            // #
            // Link ArticleUser
            // TODO:
            // #
            // # 11
            // #
            // Indexed
            if ($default['index_key_name'] && $default['index_key_id']) {
                $query = 'INSERT IGNORE INTO #__jseblod_cck_extra_index_key_' . $default['index_key_name'] . ' ( id, keyid )'
                        . ' VALUES (' . $row->id . ', "' . $default['index_key_id'] . '")';
                $db->setQuery($query);
                if (!$db->query()) {
                    //return false;
                }
            }
            // Indexed
            if ($default['nIndexed'] && sizeof($default['batchIndexed'])) {
                for ($l = 0; $l < $default['nIndexed']; $l++) {
                    $query = 'INSERT IGNORE INTO #__jseblod_cck_extra_index_' . $default['batchIndexed'][$l]['name'] . ' ( id, indexid )'
                            . ' VALUES (' . $row->id . ', "' . $default['batchIndexed'][$l]['id'] . '")';
                    $db->setQuery($query);
                    if (!$db->query()) {
                        //return false;
                    }
                }
            }
        }

        // #
        // # 12
        // #
        // Add TypeItem
        // TODO:
        Helper_Webservice::_addTypeItem($assignmentsValues, $default);
        return $i;
    }

    /**
     * Get Action Mode
     * */
    function getActionMode($contentType) {
        $db = & JFactory::getDBO();

        $query = ' SELECT cc.bool2'
                . ' FROM #__jseblod_cck_type_item AS s '
                . ' LEFT JOIN #__jseblod_cck_items AS cc ON cc.id = s.itemid'
                . ' LEFT JOIN #__jseblod_cck_types AS sc ON sc.id = s.typeid'
                . ' WHERE s.client = "admin" AND cc.type = 25 AND sc.name = "' . $contentType . '"'
        ;

        $db->setQuery($query);
        $mode = $db->loadResult('name');

        return $mode;
    }

    /**
     * Get Fields
     * */
    function getFields($fieldnames, $names) {
        $db = & JFactory::getDBO();

        $query = ' SELECT DISTINCT s.*, cc.name AS typename'
                . ' FROM #__jseblod_cck_items AS s '
                . ' LEFT JOIN #__jseblod_cck_items_types AS cc ON cc.id = s.type'
                . ' WHERE s.name IN ( ' . $names . ' ) '
                . ' ORDER BY FIELD(s.name, ' . $names . ')'
        ;

        $db->setQuery($query);
        $fields = $db->loadObjectList('name');

        return $fields;
    }

    /**
     * return the schedular mode
     * */
    function getRunMode($id) {

        $db = & JFactory::getDBO();
        $query = 'SELECT s.mode FROM #__jseblod_cck_webservices_jobs AS s'
                . ' WHERE s.id = ' . $id;
        $db->setQuery($query);
        $mode = $db->loadResult($query);
        return $mode;
    }

    /**
     */
    function getSchedulerJob($id, $table) {
        $mode = 0;

        $query = ' SELECT s.* FROM #__' . $table . ' AS s '
                . ' WHERE s.jobid = ' . $id;

        $db = & JFactory::getDBO();

        $db->setQuery($query);
        $jobs_schedulers = $db->loadAssocList();

        $ts = array();
        foreach ($jobs_schedulers as $t) { //get the attribute and values
            $key = $t['attribute'];
            $value = $t['value'];
            $ts[$key] = $value;
        }

        $startdate = $ts['startdate']; //2010-07-23
        $currentdate = date("Y-m-d   H:i:s ", time());

        //schedular
        $syear = substr($startdate, 0, 4);
        $smonth = substr($startdate, 5, 2);
        $sday = substr($startdate, 8, 2);

        $stamptiming = mktime($ts['hour'], $ts['minute'], 0, $smonth, $sday, $syear);
        $stampcurrent = strtotime($currentdate);
        $query = 'SELECT s.mode FROM #__jseblod_cck_webservices_jobs AS s'
                . ' WHERE s.id = ' . $id;
        $mode = CCK_DB_Result($query);
        if (($stampcurrent >= $stamptiming) and (($mode != 0 ) and ($mode != 1))) {

            switch ($mode) {
                case 2:
                    $interval = 24 * 3600; //daily
                    break;

                case 100:
                    $interval = $ts['custom_hour'] * 3600 + $ts['custom_minute'] * 60 + $ts['custom_second'];
                    break;
            }
            $interval = $interval;
        } else {
            $interval = ( $stamptiming - $stampcurrent );
        }

        return $interval;
    }

    /**
     *  special treatement of Returndata for Ftp, Http
     *  the format is equal to the Returndata of the webservice
     *
     * */
    function httpCSVReturnData($remoteURL, $separator) {
        $config = & JFactory::getConfig();
        $logFolder = $config->getValue('config.log_path');
        $log = $logFolder . DS . 'http.log';
        $hd55 = fopen($log, 'a');
        fwrite($hd55, "http" . "\r\n");

        $returnData = new stdClass();
        $rows = 0;
        $item = array();
        if (( $handle = fopen($remoteURL, "r") ) !== FALSE) {
            while (( $data = fgetcsv($handle, '1000',$separator) ) !== FALSE) {
                ob_start();
                $fp = fopen( 'php://output', 'w' ) or die( 'Can\'t open php://output' );
                   if ( fputcsv( $fp, $data, $separator ) === false ) {
                        die( 'Can\'t write CSV line' );
                    }
                fclose( $fp ) or die( 'Can\'t close php://output' );
                $data = ob_get_contents();
                ob_end_clean();
                $returnData->data->Data1->item[$rows]->Content = $data;
                $rows++;
            }
            fclose($handle);
        }
        fwrite($hd55, "http2--$rows" . "\r\n");
        $x = count($returnData->data->Data1->item);
        $returnData->data->count = $rows - 1; //ok
        fwrite($hd55, "number: $x" . "\r\n");
        return $returnData;
    }

    /**
     * Get Data for auto csvhtpp, not using now
     * */
    function getData($url, $method) {
        require_once( dirname(__FILE__) . DS . 'fetch_url_content.php' );
        switch ($method) {
            case 'curl':
                $data = Helper_FetchUrlContent::byCurl($url);
                break;
            case 'file_get_contents':
                $data = Helper_FetchUrlContent::byFile_get_contents($url);
                break;
            case 'fopen':
                $data = Helper_FetchUrlContent::byFopen($url);
                break;
            case 'fsockopen':
                $data = Helper_FetchUrlContent::byFsockopen($url);
                break;
        }

        return $data;
    }

    /**
     * get the lastest file via a ftp url only.
     * use: Ajax or in task lately
     * */
    function getLastFile($url) {
        //get the url addresse(javascript)

        /* $url = explode("://",$data['url']);
          $url_id_passwd = $url[0]."://".$data['login'].":".$data['password']."@".$url[1];
          $handler = opendir($url_id_passwd);
          $filesarray = array();
          while( $filename = readdir($handler) ){
          if(($filename !=".") && ($filename) != ".."){
          $index = filemtime($url_id_passwd.'/'.$filename);
          $filesarray[$index] = $filename;
          }
          }
          closedir($handler);
          ksort($filesarray);
          $fnn = array_pop($filesarray);
          $data['url'] = $data['url'].'/'.$fnn;
          $data['filename'] = $fnn;
         */
    }

    //detect the server's OS
    function getOs() {

        $plateforme = PHP_OS;
        $array_os = explode("WIN", $plateforme);
        $num = count($array_os);
        if ($num > 1) {
            return "This is a win system";
        } else {
            return "This is a linux system";
        }
    }
    /*
     * delete the params in the table webservice-task-configs, empty the table
     */
    function resetTaskConfig($wsname, $table_ws_tasks, $tablewstasksconfigs) { //for type 2, 3, 4.
        //reset all of the tasks-config with the access(webservice) name given
        $query = ' SELECT s.id '
                . ' FROM #__' . $table_ws_tasks . ' AS s '
                . ' WHERE s.webservice = \'' . $wsname . '\' ';
        $objs = CCK_DB_ObjectList($query);
        if (@$objs) {
            foreach ($objs as $obj) {
                $query = 'DELETE v.* '
                        . ' FROM #__' . $tablewstasksconfigs . ' AS v  '
                        . ' WHERE v.taskid = ' . $obj->id;
                CCK_DB_Delete($query);
            }
        }
    }

    /**
     *
     * function for export the contents(articles) according the info given (cat, sub-cat, or content type, combination
     * @param <type> $actionMode
     * @param <type> $taskid
     * @return string
     */
    function dataExportCSV($actionMode, $taskid) {

        ini_set('memory_limit','350M');
        $db = JFactory::getDBO();
        $export_params = Helper_Webservice::keyValueFromArray("jseblod_cck_webservices_task_process", $taskid, "attribute", "value");
        $exp_catid = $export_params['expcat'];
        $catandsubcat = $export_params['catandsubcat'];
        $exp_content_type = $export_params['exp_content_type'];
        $exp_field_type = $export_params['field_type'];
        $exp_separator  = $export_params['separator'];   ///////
        $exp_utf8  = $export_params['force_utf8'];   ///////
        $expfields = substr($export_params['expfields'], 0, -1);
        $arr_expfields = explode(',', $expfields); //exported fields
        $exp_state     = $export_params['state'];
		$joomla_version = $export_params['joomla_version'];
		
        ///
	$jcontent = array();
        if ($exp_field_type == 2) {
            $jcontent = $arr_expfields;   //the selected fields for export
        } else if ($exp_field_type == 3) {
            $jcontent []= 'introtext_as_field';
        } else {
            //$jcontent = array('id', 'title', 'alias','title_alias','state','sectionid','mask','catid', 'created', 'created_by','created_by_alias','modified','modified_by','checked_out','checked_out_time','publish_up','publish_down','images','urls','attribs','version','parentid','ordering','metakey','metadesc','access','hits','metadata','introtext_as_field'); //core
            $jcontent = array('title', 'alias','introtext','state','sectionid','catid', 'created', 'created_by','modified','modified_by','publish_up','publish_down','attribs','access','hits','introtext_as_field'); //core, parentid
        }

        $query = '';
        $contents = null;
        $arraycontentids = array();

        //if exp_content_type selected, get all the contents/articles ids,
        //if no, get the array of Regular Expression

        $query = " SELECT * FROM #__content WHERE state = $exp_state  ";   // WHERE id=838
        $db->setQuery($query);
        $objects = $db->loadObjectList();
        $regex = "#::(.*?)::(.*?)::/(.*?)::#s";

        $arr_flags = array();
        if (( $exp_content_type != '')) { //content type is chosen
            foreach ($objects as $object) {
                $text = $object->introtext.$object->fulltext;
                preg_match_all($regex, $text, $matches);
                if (@$matches[2][0] == $exp_content_type) {
                    array_push($arraycontentids, $object->id);
                }
            }
            $arraycontentids = implode(',', $arraycontentids);     //contentids by content type

        }else{ //content type is not chosen
            foreach ($objects as $object) {
                $text = $object->introtext.$object->fulltext;
                preg_match_all($regex, $text, $matches); ///
            }
        }

        /**
         * return articles that satisfy the condition
         *
         * Case 1, (by content type)contype type is chosen, the others(cat,sub-cats) is null;
         * Case 2 contype type is null or not null, the others is not null
         *   2.0  cat only                  (2 circumstances, by or not by content type
         *   2.1  cat and sub cat(s)        (ditto)
         *   2.2  sub cat(s) only           (ditto)
         *
         */
        /* Case 1, contype type is chosen, the others is null; */

        if (( $exp_content_type != '' ) and ($exp_catid == '' )) {

            //return all the contents/articles with the selected content type
            $query = 'SELECT s.* FROM #__content AS s WHERE s.id IN '
                    . '(' . $arraycontentids . ')'
            ;
            $db->setQuery($query);
            $contents = $db->loadObjectList();   //contents whose content type is "$content_type"
        } elseif($exp_catid !='') {/* Case 2 contype type is null or not null, the others is not null */

            if ( $catandsubcat == 3  ) {  //cat only
                if ($exp_content_type != '') {  ///content_type with the seleted category
                    $query = 'SELECT * FROM #__content WHERE catid = '
                            . $exp_catid . ' AND id IN '
                            . '(' . $arraycontentids . ')'   ///selected content type(introtext)
                    ;
                } else { /// cat only
                    $query = 'SELECT * FROM #__content WHERE catid = '
                            . $exp_catid;
                }
                $db->setQuery($query);
                $contents = $db->loadObjectList();
            } else if ($catandsubcat == 2) { //cat and sub cat(s)
                //get the sub categories
                $query = 'SELECT s.id FROM #__categories AS s WHERE s.parent_id = '
                        . $exp_catid;
                $db->setQuery($query);
                $subcats = $db->loadResultArray();


                if (sizeof($subcats)) {
                    $subcats = implode(',', $subcats);

                    $cats = $subcats . ',' . $exp_catid;

                    if ($exp_content_type != '') {
                        $query = 'SELECT * FROM #__content WHERE catid IN ( '
                                . $cats . ' ) AND id IN '
                                . '(' . $arraycontentids . ')'
                        ;
                    } else {
                        $query = 'SELECT * FROM #__content WHERE catid IN ( '
                                . $cats
                                . ')'
                        ;
                    }

                    $db->setQuery($query);
                    $contents = $db->loadObjectList();
                }else{
                /// subcats = null

                    if ($exp_content_type != '') {
                        $query = 'SELECT * FROM #__content WHERE catid  = '
                                . $exp_catid . ' AND id IN '
                                . '(' . $arraycontentids . ')'
                        ;
                    } else {
                        $query = 'SELECT * FROM #__content WHERE catid = '
                                . $$exp_catid
                        ;
                    }

                    $db->setQuery($query);
                    $contents = $db->loadObjectList();


                 }
                ///
            } elseif( $catandsubcat ==1 ) {//sub cat(s) only
                $query = 'SELECT s.id FROM #__categories AS s WHERE s.parent_id = '
                        . $exp_catid;
                $db->setQuery($query);
                $subcats = $db->loadResultArray();

                if (sizeof($subcats)) {
                    $subcats = implode(',', $subcats);

                    if ($exp_content_type != '') {
                        $query = 'SELECT * FROM #__content WHERE catid IN ( '
                                . $subcats . ')'
                                . 'AND id IN '
                                . '(' . $arraycontentids . ')'
                        ;
                    } else {
                        $query = 'SELECT * FROM #__content WHERE catid IN ( '
                                . $subcats
                                . ')'
                        ;
                    }

                    $db->setQuery($query);
                    $contents = $db->loadObjectList();
                }
            }
        }elseif( ($exp_content_type == '') && ($exp_catid =='')){
            $msg = JText::sprintf( 'error' );
        }

        $regex = "#::(.*?)::(.*?)::/(.*?)::#s";  //change it

        // the contents are done
        $contentype = array(); //table of content type
        $counter = 0;
        $tempctypetables = array(); // temporary tables
        $temphandles = array(); // for closing the opening files.
        ///Ready to write in the csv file
        $contentsfound = count($contents);
        //**-------------------------------------------
        $ct_custom_fields   =   array();
        for ($i = 0; $i < $contentsfound; $i++) {

           //ready for created the fold with current date
           $currentDate = date('Y-m-d');
           $com_name    = JRequest::getVar('option');
           $date_path   = JPATH_ADMINISTRATOR.DS.'components'.DS.$com_name.DS.'helpers'.DS.'userfiles'.DS.$currentDate;
           if(!defined('DS2')){
                define("DS2","/");
           }
           $link_path   = JUri::root().DS2.'administrator'.DS2.'components'.DS2.$com_name.DS2.'helpers'.DS2.'userfiles'.DS2.$currentDate;
           if (JFolder::exists($date_path)){

           }else{
               JFolder::create($date_path );
           }

            $text = $contents[$i]->introtext.$contents[$i]->fulltext;
            $text_fulltext= $contents[$i]->fulltext;
            $text_fulltext = strSTR($text_fulltext, '<br />');
            preg_match_all($regex, $text, $matches);              //introtext
            preg_match_all($regex, $text_fulltext, $matches2);    //fulltext
            ($matches2[0])?$flag_field = 1:$flag_field = 0;       /////distinguish introtext/fulltext position in csv
            $contentype[$i] = ( @$matches[2][0] )? @$matches[2][0]  : 'joomla' ; //content type
            //for ct-fields;
            $ct_type    =   $matches[2][0];
            if ( ! isset( $ct_custom_fields[$ct_type] )) {

                $query      =   "SELECT f.name AS ct, g.name AS fn, c.itemid, c.ordering, h.name "
                              . " FROM jos_jseblod_cck_type_item AS c "
                              . " LEFT JOIN jos_jseblod_cck_types AS f ON c.typeid = f.id "
                              . " LEFT JOIN jos_jseblod_cck_items AS g ON g.id = c.itemid "
                              . " LEFT JOIN jos_jseblod_cck_items_types AS h ON h.id = g.type "
                              . " WHERE c.client = 'admin' "
                              . " AND h.name != 'joomla_content ' "
                              . " AND h.name != 'form_action' "
                              . " AND h.name != 'panel_slider' "
                              . " AND f.name =  '$ct_type'  "
                              . " ORDER BY c.ordering ";
                $fnames_ct       =  CCK_DB_AssocList( $query );
                foreach ($fnames_ct as $fn) {
                    $ct_custom_fields[$ct_type][] =  $fn['fn'];
                }

            }

            //via the content type's name , create the csv file with the same name
            if (!( in_array($contentype[$i], $tempctypetables))) {
                array_push($tempctypetables, $contentype[$i]);
                //close old handle
                if ($i != 0) {//is not the first content
                    fclose($handle);
                }
                //new file handle
                $destcsv = $date_path . DS . $contentype[$i] . '.csv';
                if (JFile::exists($destcsv)) {
                    JFile::delete($destcsv);
                }
                $handle = fopen($destcsv, "a");
                fwrite($handle, chr(0xEF).chr(0xBB).chr(0xBF) );
                array_push($temphandles, $handle);
                $counter = 0;
            } elseif (($i > 0 ) && ($contentype[$i] != $contentype[$i - 1])) {
                //open the content type's handle
                fclose($handle);
                $destcsv = $date_path . DS . $contentype[$i] . '.csv';
                $handle = fopen($destcsv, "a");
            }

            //write the field name(joomla)
            if ($counter == 0) { //counter for determining if we write the field name

                //3 types of fieldtype(all, custom, custom selection)
                if ($jcontent != null) {
                    foreach ($jcontent as $jfield) {
                        if ($jfield != 'introtext_as_field') {  ///intro, fulltext
                            fwrite($handle, $jfield);
                            fwrite($handle,  $exp_separator );
                        }
                    }
                }
                $num = count( $ct_custom_fields[$ct_type]);
                if (in_array("introtext_as_field", $jcontent)) {

                    for ($j = 0; $j < $num; $j++) {  //$num-1
                        fwrite($handle,$ct_custom_fields[$ct_type][$j]);
                        if ($j != ($num - 1)) {  // the position for comma
                            fwrite($handle,  $exp_separator );
                        }
                    }
                     fwrite($handle, "\n");
                }
                $counter = 999;  //flag for write the fields'names
                //here the field name for cckjseblod(fulltext)
               /* $num_ft = count($matches2[1]);
                if (in_array("introtext_as_field", $jcontent)) {  //introtext_as_field need changer the name to intro_full_text_field
                    for ($j = 0; $j < $num_ft - 1; $j++) {
                        ($j == 0 )? fwrite($handle,  $exp_separator ):'';
                        fwrite($handle, $matches2[1][$j]);
                        if ($j != ($num_ft - 2)) {  // the position for comma
                            fwrite($handle,  $exp_separator );
                        }
                    }
                }
                fwrite($handle, "\n");
                $counter = 999;  //flag for write the fields'names*/
            }

            //write selected (custom) core fields 's values.

            foreach ($jcontent as $jcustomfield) {
            	if ($jcustomfield != 'introtext_as_field') {

                	if($jcustomfield == 'introtext' or $jcustomfield == 'attribs' or $jcustomfield == 'metadesc' or $jcustomfield == 'metadata') {
                		$contents[$i]->$jcustomfield	= '"'.self::newLine( $contents[$i]->$jcustomfield ).'"'; ///1
                	} else if ($jcustomfield == 'access' && $joomla_version == '1.7' ) {
						$contents[$i]->$jcustomfield	=	(int)$contents[$i]->$jcustomfield + 1;
					}
					$contents[$i]->$jcustomfield	=	preg_replace( array( "/\\x{2013}/u", "/\\x{2019}/u" ), array( "-", "'" ), $contents[$i]->$jcustomfield );
                    fwrite($handle, '"'.$contents[$i]->$jcustomfield.'"');
                    fwrite($handle,  $exp_separator );
                }
            }
            $num11 = count($matches[2]);
            if (in_array("introtext_as_field", $jcontent)) { //introtext_as_field's name
                $m3 =   array();
                for( $x = 0; $x < count ($matches[1]); $x++  ) {
                     $m3[$matches[1][$x]] = $matches[2][$x];
                }

               //write introtext's value
                for( $m = 0; $m < count ($ct_custom_fields[$ct_type]); $m++){
                  if (isset ($m3[$ct_custom_fields[$ct_type][$m]] )) {
                        $value = self::quotaion_mark($m3[$ct_custom_fields[$ct_type][$m]]);
						$value	=	preg_replace( array( "/\\x{2013}/u", "/\\x{2019}/u" ), array( "-", "'" ), $value );
                        fwrite($handle, '"'.$value.'"');
                  }else {
                        fwrite($handle,'"'.' '.'"' );
                  }
                     fwrite($handle,  $exp_separator );

                }
                 ///
                //write fulltext 's value.
                /*for ($k = 0; $k < count($matches2[0]) - 1; $k++) {
                    ($k == 0 )? fwrite($handle, $exp_separator):'';
                    fwrite($handle, '"'.$matches2[2][$k]).'"';
                    if ($k != ( count($matches2[0]) - 2 )) { //-2
                        fwrite($handle,  $exp_separator );
                    }
                }*/
            }
			
            fwrite($handle, "\n");
        }

        //close the opening files
        foreach ($temphandles as $handle) {
            @fclose($handle);
        }
        /// according to the differents content types , generate the differents csv files
        //generate the file by content type's name
        if($tempctypetables && $contentsfound ){
          $data = JText::_('CSV FILE SUCCESSFULY CREATED') . '<br><br>';
          $data.='<table ><tr><td>Content Type</td><td></td><td>File name</td></tr>';
        }elseif($contentsfound == 0){
          $data = JText::_('NO CONTENTS FOUND AND NO CSV FILE GENERATED') ;
        }

        //array for generated files
        $arr_generated_files       = array();  //with folder
        $arr_generated_files_names = array();

        if($contentsfound){
            foreach ($tempctypetables as $ctypename) {

                $hfile = $link_path. DS2. $ctypename . '.csv';
                $data .= '<tr><td>'.$ctypename.'<td><td><a target="_blank" href="' . $hfile . '" />'. $ctypename . '.csv ' . '</a>'.'</td><tr>';

                $arr_generated_files[] = $date_path.DS.$ctypename.'.csv';
            }
            $data.='</table>';

            //You can put many file to zip like $pathFile,$pathFile1,$pathFile2
            ///
            require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_cckjseblod'.DS.'helpers'.DS. 'pclzip'.DS.'pclzip.lib.php' );
            $archivename = JPATH_ADMINISTRATOR.DS.'components'.DS.$com_name.DS.'helpers'.DS.'userfiles'.DS.'tmp'.DS.$currentDate.'.zip';
            $archive = new PclZip($archivename );
            $filebnames = array();
            JFolder::create($date_path.DS.'tmpzip');
            $tmppath = $date_path.DS.'tmpzip'.DS;
            foreach ($arr_generated_files as $p) {
                $basefilename = basename($p);
                JFile::copy($p, $tmppath.DS.$basefilename);
                $filebnames[] = $basefilename;
            }

           $remove_path  = $tmppath;
           if ( $archive->create( $tmppath, PCLZIP_OPT_REMOVE_PATH, $remove_path ) == 0 ) {
                    return false;	//die( 'Error : ' . $archive->errorInfo( true ) );
            }

            JFolder::delete( $tmppath );

            ///////
            $link_path_zip   = JUri::root().'administrator'.DS2.'components'.DS2.$com_name.DS2.'helpers'.DS2.'userfiles'.DS2.'tmp';
            $datawithzip = array();
            $datawithzip[0] = $data;
            $zipname = basename($archivename);
            $datawithzip[1] = '<a target="_balnk" href="'.$link_path_zip.DS2.$zipname.'"'.">$zipname</a>";
        }else{
             $datawithzip = array();
             $datawithzip[] = $data;
        }

        return $datawithzip;
    }
    //
    function newLine ( $data ) {
    	$order   	=	array("\r\n", "\n", "\r");
		$replace	=	'#&#';
		$data 		=	str_replace( $order, $replace, $data );

		return  $data;
    }
     //
    function rcLine ( $data ) {
        $carr_return	= 	(DS == '/') ?	"\n" : "\r\n" ;
        $data 			=	str_replace( "#&#", $carr_return, $data );

        return  $data;
    }
    function  quotaion_mark ( $data ) {
        $data = str_replace('"', '""', $data);

        return $data;
    }

}
/**
 * str_getcsv ( if PHP < 5.3 !! )
 * */
if (!function_exists('str_getcsv')) {

    function str_getcsv($input, $delimiter = ',', $enclosure = '"', $escape = '\\', $eol = '\n') {
        if (is_string($input) && !empty($input)) {
            $output = array();
            $tmp = preg_split("/" . $eol . "/", $input);
            if (is_array($tmp) && !empty($tmp)) {
                while (list($line_num, $line) = each($tmp)) {
                    if (preg_match("/" . $escape . $enclosure . "/", $line)) {
                        while ($strlen = strlen($line)) {
                            $pos_delimiter = strpos($line, $delimiter);
                            $pos_enclosure_start = strpos($line, $enclosure);
                            if (
                                    is_int($pos_delimiter) && is_int($pos_enclosure_start)
                                    && ($pos_enclosure_start < $pos_delimiter)
                            ) {
                                $enclosed_str = substr($line, 1);
                                $pos_enclosure_end = strpos($enclosed_str, $enclosure);
                                $enclosed_str = substr($enclosed_str, 0, $pos_enclosure_end);
                                $output[$line_num][] = $enclosed_str;
                                $offset = $pos_enclosure_end + 3;
                            } else {
                                if (empty($pos_delimiter) && empty($pos_enclosure_start)) {
                                    $output[$line_num][] = substr($line, 0);
                                    $offset = strlen($line);
                                } else {
                                    $output[$line_num][] = substr($line, 0, $pos_delimiter);
                                    $offset = (
                                            !empty($pos_enclosure_start)
                                            && ($pos_enclosure_start < $pos_delimiter)
                                            ) ? $pos_enclosure_start : $pos_delimiter + 1;
                                }
                            }
                            $line = substr($line, $offset);
                        }
                    } else {
                        $line = preg_split("/" . $delimiter . "/", $line);

                        /*
                         * Validating against pesky extra line breaks creating false rows.
                         */
                        if (is_array($line) && !empty($line[0])) {
                            $output[$line_num] = $line;
                        }
                    }
                }
                return $output[0];
            } else {
                return false;
            }
        } else {
            return false;
        }
    }

}
?>

