<?php
/**
* @version			1.0.0
* @author       	http://www.seblod.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
* @package			Tasks & WebServices for SEBLOD 1.x
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * View Class
 **/
class CCKjSeblod_WebServiceViewCCKjSeblod_WebService extends JView
{
	/**
	 * Display Toolbar
	 **/
	function _displayToolbar()
	{
		JToolBarHelper::title( JText::_( 'WEBSERVICE ADDON' ), 'webservices.png' );
		JToolBarHelper::custom( 'cpanel', 'jseblod', 'cpanel', 'CCK', false );
	}
	
	/**
	 * Display Default View
	 **/
	function display( $tpl = null )
	{
		// Get Request Vars
		global $mainframe, $option;
		$controller	=	JRequest::getWord( 'controller' );
		$document 	=&	JFactory::getDocument();
		$layout		=	$this->getLayout();
		$user 		=&	JFactory::getUser();
		
		// ...
		
		// Push Data into Template
		$this->assignRef( 'option', $option );
		$this->assignRef( 'controller', $controller );
		$this->assignRef( 'document', $document );
		
		$this->_displayToolbar();
		
		parent::display( $tpl );
	}
}
?>