<?php
/* Copyright (C) 2012 SEBLOD. All Rights Reserved. */

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Inclusion
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_cckjseblod_webservice'.DS.'helpers'.DS.'helper_runtime.php' );
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_cckjseblod_webservice'.DS.'helpers'.DS.'helper_webservice.php' );
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_cckjseblod_webservice'.DS.'helpers'.DS.'fetch_url_content.php' );


// Css and Javascript
$this->document->addStyleSheet( 'templates/khepri/css/icon.css' );
$this->document->addStyleSheet( JURI::root( true ).'/media/lsl/lslcss.css' );

//Button
$buttons	=	array( 'Close' => array( 'Close', 'cancel_jseblod', "javascript: window.parent.document.getElementById('sbox-window').close();", 'onclick' ) );


//window.parent.SqueezeBox.close();    / window.parent.document.getElementById('sbox-window')

//return webservice
$model  =  $this->getModel ( $this->viewName );
$ws     =  $model->getWsByTask($this->viewTableJoin, $this->viewTable, $this->viewItem->id);

// Data Received from view
$viewTableMore        =   $this->viewTableMore;  ///
$step                 =   $this->step;
$viewItem             =   $this->viewItem;
$process              =   $this->process;
$processAttributes    =   $this->processAttributes;
$configs              =   $this->configs;    ////
//$remote_url         =   $this->configs['remote_url'];

//definition format of 'returnData' (switcher)
$returnData = new stdClass();
$returnData_temp = new stdClass();
$returnData_temp->data->count = 0;
$returnData_temp->data->Data1->item = array();

?>

<!-- Task and Bar -->
<div>
    <fieldset class="adminform modal-bg-toolbar">
        <div class="header icon-48-tasks_process" style="float: left">
            <?php echo JText::_( 'TASK PROCESS' ) . ': <small><small>[ '.JText::_( 'EXECUTE' ).' ]</small></small>'; ?>
        </div>
        <div style="float: right">
            <?php Helper_Display::quickToolbar( $buttons ); ?>
        </div>
    </fieldset>
</div>
<!-- End "Task and Bar" -->


<?php
//process operation

/**   start of webservice import with stapes !!    **/
if( $this->step != 0 && $ws->type == 1 ){

    $cid    = JRequest::getInt( 'cid' );
    $query  = ' SELECT s.value  '
    .' FROM #__'.$viewTableMore.' AS s '
    .' WHERE s.taskid = '.$cid
    .' AND s.param = "Limit" ';

    $query1  = ' SELECT s.value  '
    .' FROM #__'.$viewTableMore.' AS s '
    .' WHERE s.taskid = '.$cid
    .' AND s.param = "Limitstart" ';

    $limit        = CCK_DB_Result ( $query );
    $limitstart   =  CCK_DB_Result ( $query1 );
    
    //$nbloop
    $nbloop = $limit / $step ;
    ( $nbloop <= 1 ) ? ($nbloop = 1): $nbloop = ( floor( $nbloop ) + 1 );
   
    // Definition for bar
    $width = _MODAL_WIDTH - 49 ;
    $total = $nbloop ;
    $pix = $width / $total;
    $progress = 0;
?>

<html>
  <head>
      <title>process bar for task</title>
      <script language="JavaScript">
        function updateProgress(sMsg, iWidth)
        {
            document.getElementById("status").innerHTML = sMsg;
            document.getElementById("progress").style.width = iWidth + "px";
            document.getElementById("percent").innerHTML = parseInt(iWidth / <?php echo $width; ?> * 100) + "%";
        }
      </script>
  </head>

  <body>
      <!-- definition of process bar -->
      <div style="margin: 4px; padding: 8px; border: 1px solid gray; background: #EAEAEA; width: <?php echo $width+8; ?>px">
          <div><font color="gray">Process Bar</font></div>
          <div style="padding: 0; background-color: white; border: 1px solid navy; width: <?php echo $width; ?>px">
                <div id="progress" style="padding: 0; background-color: #FFCC66; border: 0; width: 0px; text-align: center;   height: 16px"></div>
          </div>
          <div id="status">&nbsp;</div>
          <div id="percent" style="position: relative; top: -30px; text-align: center; font-weight: bold; font-size: 8pt">0%</div>
      </div>

<?php
    set_time_limit(0);
    ob_start();
    $runtime	=	new Helper_Runtime;
    $runtime->start();
    $lastlimit = $limit - (( $nbloop - 1 ) * $step);
   
    for( $j = 0; $j < $nbloop; $j++)
    {
          echo str_repeat(" ",4096);
          ob_end_flush();
          flush();

          $returnData	= 	Helper_Webservice::callTask($ws,  $viewItem, $viewTableMore, $processAttributes, $limitstart, $step, ($j == $nbloop -1), $lastlimit );
          $processData	= 	Helper_Webservice::processTask( $returnData->data, $process, $processAttributes, $viewItem->name, $viewItem->id );
          $limitstart   +=  $step;
          $returnData_temp->data->count = $returnData_temp->data->count+ $returnData->data->Count;
          $numItem = count ( $returnData->data->Data1->item );
          for ( $k = 0; $k < $numItem; $k++)
          {
             if( ($j == 0) or ( $k != 0)){
                array_push($returnData_temp->data->Data1->item, $returnData->data->Data1->item[$k]);
             }
          }
          
?>
        <script language="JavaScript">
          updateProgress("Phase<?php echo $j ?>鈥�....", <?php echo min($width, intval($progress)); ?>);
        </script>
<?php
          ob_end_flush();
          flush();
          $progress += $pix;
    } //end of nbloop.
    $returnData = & $returnData_temp;
    $runtime->stop();
    $processTime	=	$runtime->spent();
    
?>
   
        <script language="JavaScript">
            updateProgress("finished", <?php echo $width; ?>);
        </script>

       <?php ob_end_flush();
          flush();
      /*start of webservice import without stapes */

}elseif(($this->step == 0) && ($ws->type == 1)){ //  webservice's import without stapes,

     $runtime	=	new Helper_Runtime;
  	 $runtime->start();
     $limitstart = -999;
     $returnData		= 	Helper_Webservice::callTask( $ws, $viewItem, $viewTableMore, @$processAttributes['debug'], $limitstart, $step);
     $processData	  = 	Helper_Webservice::processTask( $returnData->data, $process, @$processAttributes, $viewItem->name, $viewItem->id );
     
     $runtime->stop();
     $processTime	=	$runtime->spent();
} 
/**  END !!! webservice's import without stapes     ***/
?>


<!-- START   type not equal 1   -->

<table class="adminForm">
   <tr>
      <td>
      <?php
          
          //case: http, ftp, local
          if ( $ws->type == 2 or $ws->type == 3 or $ws->type ==4 ) {
              $runtime	=	new Helper_Runtime;
  	          $runtime->start();
  	          
  	          //return folder
  	          $rep='';
              if ( DS == "\\") {// WIN OS
                          $pattern = "/\\\[a-zA-Z0-9_-\s]+(\.)([a-zA-Z]{3})$/";  //  \s blank caractere
                          $rep = preg_replace($pattern, '', $ws->url);           //get the path without filename
                         
              } else {// LINUX OS
                          $pattern = "/\/[a-zA-Z0-9_-\s]+(\.)([a-zA-Z]{3})$/";
                          $rep = preg_replace($pattern, '', $ws->url);
                       
              }
              $url = explode("://",$ws->url); //ready for type ftp
              if($ws->type == 4){ //Local
                  if(!@$this->configs['file']){
                     $remote_url = $ws->url; //type equal local
                  }else{                     
                     $remote_url = $rep.DS.$this->configs['file'];
                  }
              }else{
                  if(!@$this->configs['file']){
                      $remote_url = $url[0]."://".$ws->login.":".$ws->password."@".$url[1]; //type equal local
                  }else{                     
                      $url = explode("://",$rep);  
                      $remote_url = $url[0]."://".$ws->login.":".$ws->password."@".$url[1].'/'.$this->configs['file'];
                      
                  }
               
              }
             
              $attrs = $this->processAttributes;
              $returnData     =   Helper_Webservice:: httpCSVReturnData($remote_url, $attrs['separator']);
              $processData    =   Helper_Webservice::processTask( $returnData->data, $process, $processAttributes, $viewItem->name, $viewItem->id );
          
              if($process == 0 ){
              echo '<br /><b>'.$returnData->data->count.JText::_( ' ITEMS SUCCESSFULY CREATED' );'</b><br />';
          }
              $runtime->stop();
      
              $processTime	=	$runtime->spent();
          }
          
          //case: joomla database
          if( $ws->type == 5 ){ 
             // just as article manager(export)

             $runtime	=	new Helper_Runtime;
  	         $runtime->start();
             $path1 =JPATH_ADMINISTRATOR.DS.'com_cckjseblod_webservice'.DS.'helpers'.DS.'helper_webservice.php';
             require_once (JPATH_ADMINISTRATOR.DS.'components'.DS.'com_cckjseblod_webservice'.DS.'helpers'.DS.'helper_webservice.php');
             $processData = Helper_Webservice::dataExportCSV(-1, $viewItem->id);  //export by WS
             //sleep(3);
             $runtime->stop();
             $processTime	=	$runtime->spent();
             
          }
              
          
         //display by process's value 
       
       	  if ( $process ) {
	         
	           if( $process == 1){
                 echo '<br /><b>'.$returnData->data->count.JText::_( ' ITEMS SUCCESSFULY CREATED' );'</b><br />';
             }else{
                 echo '<br /><b>'.@$processData[0].'</b><br />';
                
                 echo '<br>';
                 if( $process ==3 and @$processData[1]){
                     echo "<b>".JText::_("GENERATE A ZIP FILE")."</b>";
                     echo $this->zip;
                     echo '<br>';?>

                     <div id="files-zip" class="display-no">
                         <?php echo "<br>".'<b>'.JText::_("ZIP DOWNLOAD HERE").':  '.'</b>';echo $processData[1] ?>
                     </div>
                 <?php }?>
          <?php

                 //$download_zip = JRequest::getVar('zip');
             }                     
          } else {
               require_once( JPATH_COMPONENT.DS.'helpers'.DS.'krumo'.DS.'class.krumo.php' ) ;
              
               $dom = new DOMDocument();
               $dom->preserveWhiteSpace = FALSE;
               $oxml =  $returnData->data->GetWeatherResult;
               $newxml = preg_replace('/(<\?xml[^?]+?)utf-16/i', '$1utf-8', $oxml); //utf16  to utf8  
               $dom->loadXML($newxml);
                           
               $doc =  $dom->documentElement;
               foreach ($doc->childNodes AS $item){                
                  print $item->nodeName . " = " . $item->nodeValue . "<br />";
                 
               }
               //krumo($_SERVER, $_ENV);
             
               krumo( $returnData );
               if ( isset($returnData->data->lastRequestHeaders)){
                $lastRequestHeaders   = $returnData->data->lastRequestHeaders;
               }
               if( isset($returnData->data->lastResponseHeaders)){
               $lastResponseHeaders  = $returnData->data->lastResponseHeaders;
               }
               if ( isset($lastRequestHeaders) ){
?>
                         <span class="note2_jseblod" style="border: 1px dashed #DDDDDD; padding: 0px; margin-top: 8px; margin-bottom: 0px; margin-left: 0px; margin-right: 0px;">
                           <table class="admintable">
                                <tr>
                                  <td>
                                   <strong>Debug :</strong><br />
                                    <?php echo '&nbsp;&nbsp;>  Here is the request sent to the SOAP Server.'; ?>
                                  </td>
                                </tr>
                          </table>
                         </span>
                        <?php  echo '<textarea cols=115 rows=6 >' . $lastRequestHeaders . '</textarea>'; ?>
                        <span class="note2_jseblod" style="border: 1px dashed #DDDDDD; padding: 0px; margin-top: 8px; margin-bottom: 0px; margin-left: 0px; margin-right: 0px;">
                          <table class="admintable">
                                <tr>
                                  <td>
                                    <?php echo '&nbsp;&nbsp;>  Here is the response received from the SOAP Server.'; ?>
                                  </td>
                                </tr>
                          </table>
                        </span>
                        <?php  echo '<textarea cols=115 rows=6 >' . $lastResponseHeaders . '</textarea><br />';
               }
	      }

	     echo '<br /><I>Time of execution: '. $processTime .'ms.</I>';
	     ?>
      </td>
   </tr>
</table>

<?php
Helper_Display::quickCopyright();
?>

<script type="text/javascript">
    $("zip1").addEvent("change", function(v) {
		v = new Event(v).stop();
		var b = this.value;
		if ( b == 1 ) {
			if ( $("files-zip").hasClass("display-no") ) {
			   $("files-zip").removeClass("display-no");
			}
		}
	});
    $("zip0").addEvent("change", function(z) {
		z = new Event(z).stop();
		var b = this.value;
		if ( b == 0 ) {
			if ( !$("files-zip").hasClass("display-no") ) {
			   $("files-zip").addClass("display-no");
			}
		}
	});
</script>









