<?php
/* Copyright (C) 2012 SEBLOD. All Rights Reserved. */

// No Direct Access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.html.pane');
JHTML::_('behavior.modal');

$editor = & JFactory::getEditor();
$this->document->addScript(_PATH_ROOT . _PATH_FORMVALIDATOR . 'formvalidator.js');
$this->document->addStyleSheet(_PATH_ROOT . _PATH_FORMVALIDATOR . 'formvalidator.css');

$task = JRequest::getWord('task');
$rel = "{handler: 'iframe', size: {x: " . _MODAL_WIDTH . ", y: " . _MODAL_HEIGHT . "}}";

$javascript = '
	window.addEvent( "domready",function(){
		
		var adminFormValidator = new FormValidator( $("adminForm") );
		
		$("name").addEvent("keyup",function(k){
			checkavailable(this.getValue());
		});
		
		$("name").addEvent("change",function(c){
			checkavailable(this.getValue());
		});
		
		$("upload_file").addEvent("change",function(c){
			if ( $("generate") ) {
				$("generate").value=1;
			}
		});
		
		var AjaxTooltips = new MooTips($$(".ajaxTip"), {
			className: "ajaxTool",
			fixed: true
		});	
	});

	var component = "' . $this->option . '";
	var controller = "' . $this->controller . '";
		
	var checkavailable=function(available){var url="index.php?option="+component+"&controller="+controller+"&task=checkAvailability&format=raw&available="+available;var a=new Ajax(url,{method:"get",update:"",onComplete:function(response){if($("available").hasClass("available-enabled")){$("available").removeClass("available-enabled")}if(response&&response>0){if(!$("available").hasClass("available-failed")){if($("available").hasClass("available-passed")){$("available").removeClass("available-passed")}else if($("available").hasClass("available-enabled")){$("available").removeClass("available-enabled")}$("available").addClass("available-failed")}}else{if(!$("available").hasClass("available-passed")){if($("available").hasClass("available-failed")){$("available").removeClass("available-failed")}$("available").addClass("available-passed")}}}}).request()};function submitbutton(pressbutton){var form=document.adminForm;if(pressbutton=="cancel"){submitform(pressbutton);return}var adminFormValidator=new FormValidator($("adminForm"));if(adminFormValidator.validate()&&!$("available").hasClass("available-failed")){$("name").disabled="";submitform(pressbutton);return}}
			 
	';
$this->document->addScriptDeclaration($javascript);
?>

<form enctype="multipart/form-data" action="index.php" method="post" id="adminForm" name="adminForm">

    <div class="col width-50">
        <fieldset class="adminform">
            <legend class="legend-border"><?php echo JText::_('Details'); ?></legend>
            <table class="admintable">
                <tr>
                    <td width="25" align="right" class="key_jseblod">
                    </td>
                    <td width="100" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('Title'); ?>::<?php echo JText::_('EDIT TITLE'); ?>">
                            <?php echo JText::_('Title'); ?>:
                        </span>
                    </td>
                    <td>
                        <input class="inputbox required minLength required-enabled" validatorProps="{minLength:3}" type="text" id="title" name="title" maxlength="50" size="32" value="<?php echo ( $this->doCopy ) ? JText::_('COPYOF') . $this->viewItem->title : @$this->viewItem->title; ?>" />
                    </td>
                </tr>

                <tr>
                    <td width="25" align="right" class="key_jseblod">
                    </td>
                    <td width="100" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('Published'); ?>::<?php echo JText::_('CHOOSE PUBLISHED OR NOT'); ?>">
                            <?php echo JText::_('Published'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo $this->lists['published']; ?>
                    </td>
                </tr>

                <tr>
                    <td width="25" align="right" class="key_jseblod">
                    </td>
                    <td width="100" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('CATEGORY'); ?>::<?php echo JText::_('SELECT CATEGORY'); ?>">
                            <?php echo JText::_('CATEGORY'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo $this->lists['category']; ?>
                    </td>
                </tr>

                <tr>
                    <td colspan="3">
                    </td>
                </tr>

                <tr>
                    <td width="25" align="right" class="key_jseblod">
                    </td>
                    <td width="100" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('TYPE'); ?>::<?php echo JText::_('SELECT TYPE'); ?>">
                            <?php echo JText::_('TYPE'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo $this->lists['type']; ?>
                    </td>
                </tr>

                <tr>
                    <td colspan="3">
                    </td>
                </tr>

                <tr>
                    <td width="25" align="right" class="key_jseblod">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('Description'); ?>::<?php echo JText::_('DESCRIPTION BALLOON'); ?>">
                            <?php echo _IMG_BALLOON_LEFT; ?>
                        </span>
                    </td>
                    <td width="100" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('Description'); ?>::<?php echo JText::_('VIEW EDIT DESCRIPTION'); ?>">
                            <?php echo JText::_('Description'); ?>:
                        </span>
                    </td>
                    <td>
                        <span class="ajaxTip" title="<?php echo $this->tooltips['link_description']; ?>">
                            <?php echo $this->modals['description']; ?>
                        </span>
                    </td>
                </tr>

            </table>
        </fieldset>
        

        <fieldset class="adminform"> <!-- configuration  -->
            <legend class="legend-border"><?php echo JTEXT::_('CONFIG'); ?></legend>
              <table class="admintable">
                <tr id="ws-cn" class="<?php echo ((!@$this->viewItem->type ) or (@$this->viewItem->type == 2) or (@$this->viewItem->type == 3) or (@$this->viewItem->type == 4 ) or (@$this->viewItem->type == 5) or  (@$this->viewItem->type == 99)) ? 'display-no' : '' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="25" align="center" valign="middle" class="key_jseblod">
                        <input class="inputbox available-enabled" type="text"  id="available" name="available" maxlength="0"  size="1" value="" disabled="disabled" style="width: 14px; height: 13px; text-align: center; cursor: default; vertical-align: middle;" />
                    </td>
                    <td width="100" align="right" class="keyy_jseblod">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('CLASS NAME'); ?>::<?php echo JText::_('EDIT CLASS NAME'); ?>">
                            <?php echo JText::_('CLASS NAME'); ?>:
                        </span>
                    </td>
                    <td>
                        <input class="inputbox required validate-alphanum minLength required-enabled" validatorProps="{minLength:3}" type="text" id="name" name="name" maxlength="50" size="32"
                               value="<?php echo ( @$this->viewItem->id && !$this->doCopy ) ? $this->viewItem->name : ''; ?>" <?php echo (!$this->isNew && !$this->doCopy ) ? 'disabled="disabled"' : ''; ?> />
                    </td>
                </tr>

                <tr id="ws-gc" class="<?php echo ((!@$this->viewItem->type ) or (@$this->viewItem->type == 2) or (@$this->viewItem->type == 3) or (@$this->viewItem->type == 4) or (@$this->viewItem->type == 5) or  (@$this->viewItem->type == 99) )   ? 'display-no' : '' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('GENERATE CLASS'); ?>::<?php echo JText::_('SELECT GENERATE CLASS'); ?>">
                            <?php echo JText::_('GENERATE CLASS'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo $this->lists['generate']; ?>
                    </td>
                </tr>

                <tr>
                    <td colspan="4"></td>
                </tr>

                <tr id="ws-login" class="<?php echo ((!@$this->viewItem->type ) or (@$this->viewItem->type == 2) or (@$this->viewItem->type == 4) or (@$this->viewItem->type == 5) or  (@$this->viewItem->type == 99) ) ? 'display-no' : '' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('LOGIN'); ?>::<?php echo JText::_('EDIT LOGIN'); ?>">
                            <?php echo JText::_('LOGIN'); ?>:
                        </span>
                    </td>
                    <td>
                        <input class="inputbox required minLength required-enabled" validatorProps="{minLength:3}" type="text" id="login" name="login" maxlength="50" size="32" value="<?php echo @$this->viewItem->login; ?>" />
                    </td>
                </tr>

                <tr id="ws-password" class="<?php echo ((!@$this->viewItem->type ) or (@$this->viewItem->type == 2) or (@$this->viewItem->type == 4) or (@$this->viewItem->type == 5) or  (@$this->viewItem->type == 99) ) ? 'display-no' : '' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('PASSWORD'); ?>::<?php echo JText::_('EDIT PASSWORD'); ?>">
                            <?php echo JText::_('PASSWORD'); ?>:
                        </span>
                    </td>
                    <td>
                        <input class="inputbox required minLength required-enabled" validatorProps="{minLength:3}" type="password" id="password" name="password" maxlength="50" size="32" value="<?php echo @$this->viewItem->password; ?>" />
                    </td>
                </tr>

                <tr id="ws-local" class="<?php echo ( @$this->viewItem->type == 4) ? '' : 'display-no' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('MODE'); ?>::<?php echo JText::_('UPLOAD A FILE OR TYPE A REMOTE ADDRESS '); ?>">
                            <?php echo JText::_('MODE'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo $this->lists['get_local_mode']; ?>
                    </td>
                </tr>
                <tr id="ws-remoteurl" class="<?php echo ((! isset($this->viewItem)) or (($this->viewItem->type ==4) and ($this->viewItem->localmode !=2 )) or (@$this->viewItem->type == 5)) ? 'display-no' : '' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('REMOTE FOLDER'); ?>::<?php echo JText::_('EDIT REMOTE ADDRESS'); ?>">
                            <?php echo JText::_('REMOTE FOLDER'); ?>:
                        </span>
                    </td>
                    <td>
                       <?php
                            if (@$this->viewItem->type == 3) {
                                $rep = @str_replace(DS . @$this->viewItem->filename, '', @$this->viewItem->url);
                            } elseif (@$this->viewItem->type == 4) {

                                    if ( DS == "\\") {// WIN OS
                                        $pattern = "/\\\[a-zA-Z0-9_-]+(\.)([a-zA-Z]{3})$/";
                                        $rep = preg_replace($pattern, '', $this->viewItem->url);

                                    } else {// LINUX OS
                                        $pattern = "/\/[a-zA-Z0-9_-]+(\.)([a-zA-Z]{3})$/";
                                        $rep = preg_replace($pattern, '', $this->viewItem->url);

                                    }
                            } else {
                                $rep = @$this->viewItem->url;
                            }
                       ?>
                        <input class="inputbox required minLength required-enabled" validatorProps="{minLength:3}" type="text" id="url" name="url" maxlength="250" size="56" value="<?php echo @$rep; ?>" />
                    </td>
                </tr>

                <tr>
                    <td colspan="4"></td>
                </tr>
                <tr id="ws-uploadfile" class="<?php echo (( @$this->viewItem->type == 1) or ( @$this->viewItem->type == 4 and @$this->viewItem->localmode == 1 ) ) ? '' : 'display-no' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('UPLOAD FILE'); ?>::<?php echo JText::_('BROWSE UPLOAD FILE'); ?>">
                            <?php echo JText::_('UPLOAD FILE'); ?>:
                        </span>
                    </td>
                    <td>
                        <input class="input_box" type="file" id="upload_file" name="upload_file" size="22" />
                    </td>
                    <?php if (( @$this->viewItem->id) && (@$this->viewItem->type ==4 )) { ?>
                        <td  align="right" class="key_jseblod">
                            <?php echo '['.@$this->viewItem->filename.']';?>
                        </td>
                    <?php }?>
                </tr>

                <tr id="ws-lastfile" class="<?php echo ( (@$this->viewItem->type == 3) or ( @$this->viewItem->localmode == 2) ) ? '' : 'display-no' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('LAST FILE'); ?>::<?php echo JText::_('GET LAST FILE'); ?>">
                            <?php echo JText::_('GET LAST FILE'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo $this->lists['get_lastfile']; ?>
                    </td>
                </tr>

                <tr id="ws-filename" class="<?php echo ( (@$this->viewItem->lastfile == 0 ) and (@$this->viewItem->type != 1) and (@$this->viewItem->type != 5 ) and (@ $this->viewItem != null)) ? '' : 'display-no' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('FILE NAME'); ?>::<?php echo JText::_('PLEASE TYPE THE FILE NAME'); ?>">
                            <?php echo JText::_('FILE NAME'); ?>:
                        </span>
                    </td>
                    <td>
                            <?php
                                $fnn = @explode('.', @$this->viewItem->filename);
                                $fnn_prefix = @$fnn[0];
                                $fnn_ext = @$fnn[1];
                            ?>
                        <input class="inputbox required minLength required-enabled" validatorProps="{minLength:2}" type="text" id="filename" name="file_prefix_name" maxlength="18" size="15" value="<?php echo @$fnn_prefix; ?>" />
                            <?php echo JText::_('.'); ?>
                        <input class="inputbox required minLength required-enabled" validatorProps="{minLength:3}" type="text" id="extname" name="file_ext_name" maxlength="5" size="5" value="<?php echo @$fnn_ext; ?>" />
                            <?php echo JText::_('EXT'); ?>
                    </td>
                </tr>

                <!-- lately, option for backup all the Database , interface ok -->
                <tr id="ws-mysql" class="<?php echo ( @$this->viewItem->type == 99) ? '' : 'display-no' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="100" align="right" class="key" colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('Backup BDD'); ?>::<?php echo JText::_('BACKUP ALL THE TABLES IN THE DATABASE '); ?>">
                            <?php echo JText::_('Backup BDD'); ?>:
                        </span>
                    </td>
                    <td>
                        <input class="input_box" type="text" id="db_sql_file" name="db_sql_file" value ="<?php echo ($this->isNew)? date("Ymdhis") . ".sql": $this->viewItem->db_sql_file; ?>" size="34" style="background-color: white;" />
                    </td>
                </tr>
               
                <tr id="ws-joomlabdd" class="<?php echo ( @$this->viewItem->type == 5) ? '' : 'display-no' ?>">
                    <td width="25" align="right" class="key_jseblod"></td>
                    <td width="500" class="key"  colspan="2">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('JOOMLA DATABASE'); ?>::<?php echo JText::_('EXPORT THE CONTENTS'); ?>">
                            <?php echo JText::_('NO CONFIGURATION'); ?>:
                        </span>
                    </td>
                    <td>
                    </td>
                </tr>
            </table>
        </fieldset>
    </div>

    <!-- -->
     <div class="col width-50">
        <fieldset class="adminform">
            <legend class="legend-border"><?php echo JText::_('USING HELP'); ?></legend>
            <table class="admintable">

                <tr>
                    <td width="25" align="right" class="key_jseblod"> 1
                    </td>
                    <td width="10" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('SOAP+WSDL'); ?>::<?php echo JText::_(''); ?>">
                            <?php echo JText::_('SOAP+WSDL'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo JText::_('HINT_SOAP+WSDL');?>
                    </td>
                </tr>

                <tr>
                    <td width="25" align="right" class="key_jseblod"> 2
                    </td>
                    <td width="10" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('HTTP'); ?>::<?php echo JText::_(''); ?>">
                            <?php echo JText::_('HTTP'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo JText::_('HINT_HTTP');?>
                    </td>
                </tr>

                 <tr>
                    <td width="25" align="right" class="key_jseblod"> 3
                    </td>
                    <td width="10" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('FTP'); ?>::<?php echo JText::_(''); ?>">
                            <?php echo JText::_('FTP'); ?>:
                        </span>
                    </td>
                    <td>
                         <?php echo JText::_('HINT_FTP');?>
                    </td>
                </tr>

                <tr>
                    <td width="25" align="right" class="key_jseblod"> 4
                    </td>
                    <td width="10" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('LOCAL'); ?>::<?php echo JText::_(''); ?>">
                            <?php echo JText::_('LOCAL'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo JText::_('HINT_LOCAL');?>
                    </td>
                </tr>

                <tr>
                    <td width="25" align="right" class="key_jseblod"> 5
                    </td>
                    <td width="10" align="right" class="key">
                        <span class="editlinktip hasTip" title="<?php echo JText::_('JOOMLA DATABASE'); ?>::<?php echo JText::_(''); ?>">
                            <?php echo JText::_('JOOMLA DATABASE'); ?>:
                        </span>
                    </td>
                    <td>
                        <?php echo JText::_('HINT_JOOMLA DATABASE');?>
                    </td>
                </tr>
                              
            </table>
        </fieldset> 
    </div>
    <!-- -->

    <div class="clr"></div>
    <input type="hidden" name="option" value="<?php echo $this->option; ?>" />
    <input type="hidden" name="controller" value="<?php echo $this->controller; ?>" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="id" value="<?php echo ( $this->doCopy ) ? '' : @$this->viewItem->id; ?>" />
    <input type="hidden" name="cid[]" value="<?php echo ( $this->doCopy ) ? '' : @$this->viewItem->id; ?>" />
    <input type="hidden" name="install" value="<?php echo ( @$this->viewItem->id ) ? '0' : '1'; ?>" />
    <input type="hidden" name="upload_file1" value="<?php echo @$this->viewItem->filename ?>" />
   
    <?php echo JHTML::_('form.token'); ?>
</form>


<?php  Helper_Display::quickCopyright(); ?>

<script type="text/javascript">

    //functions for 5 types
    function doSoapWsdl() {
        
        if ( $("ws-login").hasClass("display-no") ) {
            $("ws-login").removeClass("display-no");
        }
        if ( $("ws-password").hasClass("display-no") ) {
            $("ws-password").removeClass("display-no");
        }
        if ( $("ws-cn").hasClass("display-no") ) {    //Classname
            $("ws-cn").removeClass("display-no");
        }
        if ( $("ws-gc").hasClass("display-no") ) {    //Generate Class
            $("ws-gc").removeClass("display-no");
        }
        if ( $("ws-remoteurl").hasClass("display-no") ) { //Remote Folder
            $("ws-remoteurl").removeClass("display-no");
        }
        if ( $("ws-uploadfile").hasClass("display-no") ) {
            $("ws-uploadfile").removeClass("display-no");
        }
        if ( !$("ws-lastfile").hasClass("display-no") ) { //Remote Folder
            $("ws-lastfile").addClass("display-no");
        }
        if ( !$("ws-filename").hasClass("display-no") ) {
            $("ws-filename").addClass("display-no");
        }
        if ( !$("ws-local").hasClass("display-no") ) {
            $("ws-local").addClass("display-no");
        }
        if ( !$("ws-joomlabdd").hasClass("display-no") ) {
            $("ws-joomlabdd").addClass("display-no");
        }

    }

    function doHttp() {
        if ( !$("ws-cn").hasClass("display-no") ) {
            $("ws-cn").addClass("display-no");
        }
        if ( !$("ws-gc").hasClass("display-no") ) {
            $("ws-gc").addClass("display-no");
        }
        if ( !$("ws-login").hasClass("display-no") ) {
            $("ws-login").addClass("display-no");
        }
        if ( !$("ws-password").hasClass("display-no") ) {
            $("ws-password").addClass("display-no");
        }
        if ( !$("upload_file").hasClass("display-no") ) {
            $("ws-uploadfile").addClass("display-no");
        }			
        if ( !$("ws-mysql").hasClass("display-no") ) {
            $("ws-mysql").addClass("display-no");
        }      
        if ( $("ws-remoteurl").hasClass("display-no") ) {
            $("ws-remoteurl").removeClass("display-no");
        }
        if ( !$("ws-lastfile").hasClass("display-no") ) {
            $("ws-lastfile").addClass("display-no");
        }
        if ( !$("ws-local").hasClass("display-no") ) {
            $("ws-local").addClass("display-no");
        }
        if ( !$("ws-joomlabdd").hasClass("display-no") ) {
            $("ws-joomlabdd").addClass("display-no");
        }
    }

    function doFtp () {
        if ( !$("ws-cn").hasClass("display-no") ) {
            $("ws-cn").addClass("display-no");
        }
        if ( !$("ws-gc").hasClass("display-no") ) {
            $("ws-gc").addClass("display-no");
        }
        if ( !$("upload_file").hasClass("display-no") ) {
            $("ws-uploadfile").addClass("display-no");
        }
	      if ( !$("ws-mysql").hasClass("display-no") ) {
            $("ws-mysql").addClass("display-no");
        }
	      if ( $("ws-login").hasClass("display-no") ) {
            $("ws-login").removeClass("display-no");
        }
        if ( $("ws-password").hasClass("display-no") ) {
            $("ws-password").removeClass("display-no");
        }
        if ( $("ws-remoteurl").hasClass("display-no") ) {
            $("ws-remoteurl").removeClass("display-no");
        }
        if ( $("ws-lastfile").hasClass("display-no") ) {
            $("ws-lastfile").removeClass("display-no");
        }
        if ( !$("ws-local").hasClass("display-no") ) {
            $("ws-local").addClass("display-no");
        }
        if ( !$("ws-joomlabdd").hasClass("display-no") ) {
            $("ws-joomlabdd").addClass("display-no");
        }
    }

    function doLocal() {
        //localmode's value
        if ($("localmode").value == 1){
            $("ws-uploadfile").removeClass("display-no");
            $("ws-remoteurl").addClass("display-no");
            $("ws-lastfile").addClass("display-no");
        }else{
            $("ws-uploadfile").addClass("display-no");  
            $("ws-remoteurl").removeClass("display-no");
            $("ws-lastfile").removeClass("display-no");
        };

        if ( $("ws-local").hasClass("display-no") ) {
            $("ws-local").removeClass("display-no");
        }
        if ( !$("ws-cn").hasClass("display-no") ) {
            $("ws-cn").addClass("display-no");
        }
        if ( !$("ws-gc").hasClass("display-no") ) {
            $("ws-gc").addClass("display-no");
        }
        if ( !$("ws-login").hasClass("display-no") ) {
            $("ws-login").addClass("display-no");
        }
        if ( !$("ws-password").hasClass("display-no") ) {
            $("ws-password").addClass("display-no");
        }
        if ( !$("ws-mysql").hasClass("display-no") ) {
            $("ws-mysql").addClass("display-no");
        }	
        if ( !$("ws-filename").hasClass("display-no") ) {
            $("ws-filename").addClass("display-no");
        }
        if ( !$("ws-joomlabdd").hasClass("display-no") ) {
            $("ws-joomlabdd").addClass("display-no");
        }
    }

    function doSaveMysql(){

        if ( !$("ws-cn").hasClass("display-no") ) {
            $("ws-cn").addClass("display-no");
        }
        if ( !$("ws-gc").hasClass("display-no") ) {
            $("ws-gc").addClass("display-no");
        }
        if ( !$("ws-login").hasClass("display-no") ) {
            $("ws-login").addClass("display-no");
        }
        if ( !$("ws-password").hasClass("display-no") ) {
            $("ws-password").addClass("display-no");
        }
        if ( !$("ws-remoteurl").hasClass("display-no") ) {
            $("ws-remoteurl").addClass("display-no");
        }
        if ( !$("ws-uploadfile").hasClass("display-no") ) {
            $("ws-uploadfile").addClass("display-no");
        }
        if ( !$("ws-lastfile").hasClass("display-no") ) {
            $("ws-lastfile").addClass("display-no");
        }
        if ( !$("ws-filename").hasClass("display-no") ) {
            $("ws-filename").addClass("display-no");
        }
        if ( $("ws-mysql").hasClass("display-no") ) {
            $("ws-mysql").removeClass("display-no");
        }
        if ( !$("ws-local").hasClass("display-no") ) {
            $("ws-local").addClass("display-no");
        }
        if ( !$("ws-joomlabdd").hasClass("display-no") ) {
            $("ws-joomlabdd").addClass("display-no");
        }
    }
    ///
       function doJoomlaDatabase(){

        if ( !$("ws-cn").hasClass("display-no") ) {
            $("ws-cn").addClass("display-no");
        }
        if ( !$("ws-gc").hasClass("display-no") ) {
            $("ws-gc").addClass("display-no");
        }
        if ( !$("ws-login").hasClass("display-no") ) {
            $("ws-login").addClass("display-no");
        }
        if ( !$("ws-password").hasClass("display-no") ) {
            $("ws-password").addClass("display-no");
        }
        if ( !$("ws-remoteurl").hasClass("display-no") ) {
            $("ws-remoteurl").addClass("display-no");
        }
        if ( !$("ws-uploadfile").hasClass("display-no") ) {
            $("ws-uploadfile").addClass("display-no");
        }
        if ( !$("ws-lastfile").hasClass("display-no") ) {
            $("ws-lastfile").addClass("display-no");
        }
        if ( !$("ws-filename").hasClass("display-no") ) {
            $("ws-filename").addClass("display-no");
        }
        /*if ( $("ws-mysql").hasClass("display-no") ) {
            $("ws-mysql").removeClass("display-no");
        }*/
        if ( !$("ws-local").hasClass("display-no") ) {
            $("ws-local").addClass("display-no");
        }
        if ( $("ws-joomlabdd").hasClass("display-no") ) {
            $("ws-joomlabdd").removeClass("display-no");
       }
        if( !$("ws-mysql").hasClass("display-no")){
            $("ws-mysql").addClass("display-no");
        }

    }
    ///
    function doSelect() {
      
        if ( !$("ws-cn").hasClass("display-no") ) {
            $("ws-cn").addClass("display-no");
        }
        if ( !$("ws-gc").hasClass("display-no") ) {
            $("ws-gc").addClass("display-no");
        }
        if ( !$("ws-login").hasClass("display-no") ) {
            $("ws-login").addClass("display-no");
        }
        if ( !$("ws-password").hasClass("display-no") ) {
            $("ws-password").addClass("display-no");
        }
        if ( !$("ws-uploadfile").hasClass("display-no") ) {
            $("ws-uploadfile").addClass("display-no");
        }
        if ( !$("ws-remoteurl").hasClass("display-no") ) {
            $("ws-remoteurl").addClass("display-no");
        }
        if ( !$("ws-mysql").hasClass("display-no") ) {
            $("ws-mysql").addClass("display-no");
        }
        if ( !$("ws-lastfile").hasClass("display-no") ) {
            $("ws-lastfile").addClass("display-no");
        }
        if ( !$("ws-local").hasClass("display-no") ) {
            $("ws-local").addClass("display-no");
        }
        if ( !$("ws-joomlabdd").hasClass("display-no") ) {
            $("ws-joomlabdd").addClass("display-no");
        }
       
    }

    //functions for radio
    function doFile(){
        if ( $("ws-filename").hasClass("display-no") ) {
            $("ws-filename").removeClass("display-no");
        }
    }

    function undoFile(){
        if ( !$("ws-filename").hasClass("display-no") ) {
            $("ws-filename").addClass("display-no");
        }
    }

    //event for type
    $("type").addEvent("change", function(t) {
        t = new Event(t).stop();
        var type = this.value;
        switch( type )
        {
            case "1":    // SAP Webservice
                doSoapWsdl();
                break;
            case "2":
                doHttp();
                break;
            case "3":
                doFtp();
                break;
            case "4":
                doLocal();
                break;
            case "5":
                
                doJoomlaDatabase();
                break;
            case "99":
                doSaveMysql();
                break;
            default:
                doSelect();
                break;
        }
    });

    //event for lastfile
    $("lastfile0").addEvent("change", function(l1) {
        l1 = new Event(l1).stop();
        var lastfile = this.value;
        doFile();
   
    });

    $("lastfile1").addEvent("change", function(l2) {
        l2 = new Event(l2).stop();
        var lastfile = this.value;
        undoFile();
    });
    
    $("localmode").addEvent("change", function(l3) {
        l3 = new Event(l3).stop();
        var localmode = this.value;
        switch( localmode )
        {
            case "1":
                $('ws-remoteurl').addClass("display-no");
                $('ws-uploadfile').removeClass("display-no");
                $('ws-lastfile').addClass("display-no");
                $('ws-filename').addClass("display-no");
                break;
            case "2":
                $('ws-uploadfile').addClass("display-no");
                $('ws-remoteurl').removeClass("display-no");
                $('ws-lastfile').removeClass("display-no");
                break;

            default:
                break;
        }
    });
    
    //event for generate(by uploading or uri) 
    $("generate").addEvent("change", function(ge) {
       ge = new Event(ge).stop();
       var generate = this.value;
       switch( generate )
       {
         case "1":
            wsdlupload();
            break;
         case "2":
            wsdlbyurl();
            break;
           
         default:
            break;
       }
    });
    
    //functions for generate
    
    function wsdlupload(){
       $('ws-login').addClass("display-no");
       $('ws-password').addClass("display-no");
       $('ws-remoteurl').addClass("display-no");
    }
    
    function wsdlbyurl(){
       $('ws-login').removeClass("display-no");
       $('ws-password').removeClass("display-no");
       $('ws-remoteurl').removeClass("display-no");
    } 
    
    
    
  	  
</script>